libname a 'd:\research\FedReview';

/* PROGRAM CREATES EDUCATIONAL ATTAINMENT FIGURES BY MAJOR
INDUSTRIAL CATEGORY */

data a.samp;
set a.rawcps;
if age >= 18 and age <= 65;
if earnwke > 0; /* must have positive earnings */
run;

/* private, non-self-employed workers */
data a.samp;
set a.samp;
if year < 1994 and class > 1 then delete;
if year > 1993 and class94 < 4 then delete;
if year > 1993 and class94 > 5 then delete;
run;

/* create basic covariates */
data a.samp;
set a.samp;
married = 0;
female = 0;
nonwhite = 0;
urban = 0;
nohs = 0;
somehs = 0;
hs = 0;
somecoll = 0;
coll = 0;
div1 = 0;
div2 = 0;
div3 = 0;
div4 = 0;
div5 = 0;
div6 = 0;
div7 = 0;
div8 = 0;
union = 0;
run;
data a.samp;
set a.samp;
if marital < 4 then married = 1;
if sex = 2 then female = 1;
if race > 1 then nonwhite = 1;
if smsastat = 1 then urban = 1;
if smsastat = . then urban = .;
if unionmme = 1 then union = 1;
run;
data a.samp;
set a.samp;
if year < 1992 and gradeat < 9 then nohs = 1;
if year < 1992 and gradeat = 9 and gradecp = 2 then nohs = 1;
if year < 1992 and gradeat >= 9 and gradeat < 12 then somehs = 1;
if year < 1992 and gradeat = 12 and gradecp = 2 then somehs = 1;
if year < 1992 and gradeat = 12 and gradecp = 1 then hs = 1;
if year < 1992 and gradeat > 12 and gradeat < 16 then somecoll = 1;
if year < 1992 and gradeat = 16 and gradecp = 2 then somecoll = 1;
if year < 1992 and gradeat >= 16 then coll = 1;
if year > 1991 and grade92 >= 31 and grade92 <= 34 then nohs = 1;
if year > 1991 and grade92 >= 35 and grade92 <= 38 then somehs = 1;
if year > 1991 and grade92 = 39 then hs = 1;
if year > 1991 and grade92 >= 40 and grade92 <= 42 then somecoll = 1;
if year > 1991 and grade92 >= 43 then coll = 1;
run;
data a.samp;
set a.samp;
if state >= 11 and state <= 16 then div1 = 1;
if state >= 21 and state <= 23 then div2 = 1;
if state >= 31 and state <= 35 then div3 = 1;
if state >= 41 and state <= 47 then div4 = 1;
if state >= 51 and state <= 59 then div5 = 1;
if state >= 61 and state <= 64 then div6 = 1;
if state >= 71 and state <= 74 then div7 = 1;
if state >= 81 and state <= 88 then div8 = 1;
run;

/* PCE Values to make wages real (2000 dollars) */

data a.samp;
set a.samp;
if year = 1983 then priceadj = 1.60164;
if year = 1984 then priceadj = 1.543323;
if year = 1985 then priceadj = 1.493976;
if year = 1986 then priceadj = 1.45839;
if year = 1987 then priceadj = 1.409508;
if year = 1988 then priceadj = 1.355831;
if year = 1989 then priceadj = 1.29917;
if year = 1990 then priceadj = 1.242271;
if year = 1991 then priceadj = 1.198775;
if year = 1992 then priceadj = 1.165168;
if year = 1993 then priceadj = 1.1389;
if year = 1994 then priceadj = 1.115405;
if year = 1995 then priceadj = 1.09198;
if year = 1996 then priceadj = 1.068984;
if year = 1997 then priceadj = 1.051259;
if year = 1998 then priceadj = 1.041905;
if year = 1999 then priceadj = 1.024855;
if year = 2000 then priceadj = 1;
if year = 2001 then priceadj = 0.979489;
if year = 2002 then priceadj = 0.96574;
run;

/* compute real hourly wages */

data a.samp;
set a.samp;
rhrwage = priceadj*earnwke/uhourse;
run;

/* estimation of mean above topcodes */
/* note: this follows Card and DiNardo (JOLE 2002) */

data a.samp;
set a.samp;
if year <= 1988 and earnwke = 999 then rhrwage = 1.4*rhrwage;
if year >= 1989 and year <= 1997 
	and earnwke >= 1923 then rhrwage = 1.4*rhrwage;
if year >= 1998 and earnwke >= 2884 then rhrwage = 1.4*rhrwage;
run;

/* create consistent 3-digit industry and occupation codes */

* CREATE TIME CONSISTENT INDUSTRY CODE BASED ON 1980 INDUSTRY CODE;

data a.samp;
set a.samp;
IF YEAR LE 1991 THEN DO ;
    consind = ind80 ;
    IF consind EQ 891 THEN consind = 730; * COMBINE SCIENTIFIC RESEARCH;
END ; 

IF YEAR GE 1992 THEN DO ;
    IF ind80 LE  11 THEN consind = ind80 ; * NO CHANGE ;
    IF ind80 EQ  12 THEN consind =  20 ;* INCLUDE VET SERV IN AG SERV NEC;
    IF ind80 EQ  20 THEN consind =  21 ;* CODE CHANGE ;
    IF ind80 EQ  30 THEN consind =  20 ;* CODE CHANGE ;
    IF ind80 EQ  31 THEN consind =  30 ;* CODE CHANGE ;
    IF ind80 EQ  32 THEN consind =  31 ;* CODE CHANGE ;             
    IF ind80 GE  40 AND ind80 LE 449 THEN consind = ind80;* NO CHANGE ;
    IF ind80 EQ 450 THEN consind = 460 ;* CODE CHANGE ;
    IF ind80 EQ 451 THEN consind = 461 ;* CODE CHANGE ;
    IF ind80 EQ 452 THEN consind = 462 ;* CODE CHANGE ;
    IF ind80 GE 453 AND ind80 LE 622 THEN consind = ind80 ;* NO CHANGE ;
    IF ind80 EQ 623 THEN consind = 630 ;* CODE CHANGE ;
    IF ind80 EQ 630 THEN consind = 631 ;* CODE CHANGE ;
    IF ind80 EQ 631 THEN consind = 632 ;* CODE CHANGE ;
    IF ind80 EQ 632 THEN consind = 640 ;* INCLUDE APPL. IN APPL AND ETC.;
    IF ind80 EQ 633 THEN consind = 640 ;* INCLUDE RADIO IN APPL AND ETC ;
    IF ind80 EQ 640 THEN consind = 640 ;* INCLUDE MUSIC IN APPL AND ETC.;
    IF ind80 GE 641 AND ind80 LE 660 THEN consind = ind80;* NO CHANGE ;
    IF ind80 EQ 661 THEN consind = 682 ;* INCLUDE GIFT IN MISC STORES ;
    IF ind80 EQ 662 THEN consind = 661 ;* CODE CHANGE ;
    IF ind80 EQ 663 THEN consind = 662 ;* CODE CHANGE ;
    IF ind80 GE 670 AND ind80 LE 731 THEN consind = ind80;* NO CHANGE ;
    IF ind80 EQ 732 THEN consind = 740 ;* CODE CHANGE ;
    IF ind80 EQ 740 THEN consind = 741 ;* CODE CHANGE ;
    IF ind80 EQ 741 THEN consind = 742 ;* CODE CHANGE ;
    IF ind80 EQ 742 THEN consind = 750 ;* INCLUDE AUTO RENTAL IN AUTO SERV;
    IF ind80 GE 750 AND ind80 LE 800 THEN consind = ind80;
    IF ind80 EQ 801 THEN consind = 800 ;* VIDEO RENTAL IN THEATERS ;
    IF ind80 EQ 802 THEN consind = 801 ;* CODE CHANGE ;
    IF ind80 EQ 810 THEN consind = 802 ;* CODE CHANGE ;
    IF ind80 GE 812 AND ind80 LE 862 THEN consind = ind80 ;* NO CHANGE ;
    IF ind80 EQ 863 THEN consind = 862 ;* COMBINE CHILD CARE CATEGORIES ;
    IF ind80 GE 870 AND ind80 LE 872 THEN consind = ind80;* NO CHANGE ;
    IF ind80 EQ 873 THEN consind = 881 ;* INCLUDE LABOR UNIONS IN MEM ORG;
    IF ind80 GE 880 AND ind80 LE 890 THEN consind = ind80;* NO CHANGE ;
    IF ind80 EQ 891 THEN consind = 730; * MOVE SCIENTIFIC RESEARCH;
    IF ind80 EQ 892 THEN consind = 732 ;* CODE CHANGE ;
    IF ind80 EQ 893 THEN consind = 892 ;* CODE CHANGE ;
    IF ind80 GE 894 THEN consind = ind80; *NO CHANGE ; 
END ;  
run;


data a.samp;
set a.samp;
if nohs = 1 then educcat = 1;
if somehs = 1 then educcat = 2;
if hs = 1 then educcat = 3;
if somecoll = 1 then educcat = 4;
if coll = 1 then educcat = 5;
run;

/* Create potential experience using Park (1994) */
data a.samp;
set a.samp;
if year <= 1991 then do;
	edyrs = gradeat;
end;
run;
data a.samp;
set a.samp;
if year <= 1991 and gradecp = 2 then edyrs = edyrs - 1;
run;
data a.samp;
set a.samp;
if year <= 1991 and edyrs < 0 then edyrs = 0;
run;

data a.samp;
set a.samp;
educ99 = grade92;
run;

data a.samp;
set a.samp;
if year >= 1992 then do;

if educ99 = 31 
	and female = 0 and nonwhite = 0 then edyrs = 0.32;
if educ99 = 32 
	and female = 0 and nonwhite = 0 then edyrs = 3.19;
if educ99 >= 33 and educ99 <= 34 
	and female = 0 and nonwhite = 0 then edyrs = 7.24;
if educ99 = 35 
	and female = 0 and nonwhite = 0 then edyrs = 8.97;
if educ99 = 36 
	and female = 0 and nonwhite = 0 then edyrs = 9.92;
if educ99 = 37 
	and female = 0 and nonwhite = 0 then edyrs = 10.86;
if educ99 = 38 
	and female = 0 and nonwhite = 0 then edyrs = 11.58;
if educ99 = 39 
	and female = 0 and nonwhite = 0 then edyrs = 11.99;
if educ99 = 40 
	and female = 0 and nonwhite = 0 then edyrs = 13.48;
if educ99 >= 41 and educ99 <= 42 
	and female = 0 and nonwhite = 0 then edyrs = 14.23;
if educ99 = 43 
	and female = 0 and nonwhite = 0 then edyrs = 16.17;
if educ99 = 44 
	and female = 0 and nonwhite = 0 then edyrs = 17.68;
if educ99 = 45 
	and female = 0 and nonwhite = 0 then edyrs = 17.71;
if educ99 = 46 
	and female = 0 and nonwhite = 0 then edyrs = 17.83;

if educ99 = 31 
	and female = 0 and nonwhite = 1 then edyrs = 0.92;
if educ99 = 32 
	and female = 0 and nonwhite = 1 then edyrs = 3.28;
if educ99 >= 33 and educ99 <= 34
	and female = 0 and nonwhite = 1 then edyrs = 7.04;
if educ99 = 35 
	and female = 0 and nonwhite = 1 then edyrs = 9.02;
if educ99 = 36 
	and female = 0 and nonwhite = 1 then edyrs = 9.91;
if educ99 = 37 
	and female = 0 and nonwhite = 1 then edyrs = 10.9;
if educ99 = 38 
	and female = 0 and nonwhite = 1 then edyrs = 11.41;
if educ99 = 39 
	and female = 0 and nonwhite = 1 then edyrs = 11.98;
if educ99 = 40 
	and female = 0 and nonwhite = 1 then edyrs = 13.57;
if educ99 >= 41 and educ99 <= 42 
	and female = 0 and nonwhite = 1 then edyrs = 14.33;
if educ99 = 43 
	and female = 0 and nonwhite = 1 then edyrs = 16.13;
if educ99 = 44 
	and female = 0 and nonwhite = 1 then edyrs = 17.51;
if educ99 = 45 
	and female = 0 and nonwhite = 1 then edyrs = 17.83;
if educ99 = 46 
	and female = 0 and nonwhite = 1 then edyrs = 18;

if educ99 = 31 
	and female = 1 and nonwhite = 0 then edyrs = 0.62;
if educ99 = 32 
	and female = 1 and nonwhite = 0 then edyrs = 3.15;
if educ99 >= 33 and educ99 <= 34
	and female = 1 and nonwhite = 0 then edyrs = 7.23;
if educ99 = 35 
	and female = 1 and nonwhite = 0 then edyrs = 8.99;
if educ99 = 36 
	and female = 1 and nonwhite = 0 then edyrs = 9.95;
if educ99 = 37 
	and female = 1 and nonwhite = 0 then edyrs = 10.87;
if educ99 = 38 
	and female = 1 and nonwhite = 0 then edyrs = 11.73;
if educ99 = 39 
	and female = 1 and nonwhite = 0 then edyrs = 12;
if educ99 = 40 
	and female = 1 and nonwhite = 0 then edyrs = 13.35;
if educ99 >= 41 and educ99 <= 42 
	and female = 1 and nonwhite = 0 then edyrs = 14.22;
if educ99 = 43 
	and female = 1 and nonwhite = 0 then edyrs = 16.15;
if educ99 = 44 
	and female = 1 and nonwhite = 0 then edyrs = 17.64;
if educ99 = 45 
	and female = 1 and nonwhite = 0 then edyrs = 17;
if educ99 = 46 
	and female = 1 and nonwhite = 0 then edyrs = 17.76;

if educ99 = 31 
	and female = 1 and nonwhite = 1 then edyrs = 0;
if educ99 = 32 
	and female = 1 and nonwhite = 1 then edyrs = 2.9;
if educ99 >= 33 and educ99 <= 34
	and female = 1 and nonwhite = 1 then edyrs = 7.03;
if educ99 = 35 
	and female = 1 and nonwhite = 1 then edyrs = 9.05;
if educ99 = 36 
	and female = 1 and nonwhite = 1 then edyrs = 9.99;
if educ99 = 37 
	and female = 1 and nonwhite = 1 then edyrs = 10.85;
if educ99 = 38 
	and female = 1 and nonwhite = 1 then edyrs = 11.64;
if educ99 = 39 
	and female = 1 and nonwhite = 1 then edyrs = 12;
if educ99 = 40 
	and female = 1 and nonwhite = 1 then edyrs = 13.43;
if educ99 >= 41 and educ99 <= 42 
	and female = 1 and nonwhite = 1 then edyrs = 14.33;
if educ99 = 43 
	and female = 1 and nonwhite = 1 then edyrs = 16.04;
if educ99 = 44 
	and female = 1 and nonwhite = 1 then edyrs = 17.69;
if educ99 = 45 
	and female = 1 and nonwhite = 1 then edyrs = 17.4;
if educ99 = 46 
	and female = 1 and nonwhite = 1 then edyrs = 18;
end;
run;
data a.samp;
set a.samp;
exper = max(age-edyrs-6, 0);
run;
data a.samp;
set a.samp;
exper2 = exper**2;
exper3 = exper**3;
exper4 = exper**4;
run;
 
data a.samp;
set a.samp;
if consind >= 10 and consind <= 31 then majorind = 1;
if consind >= 40 and consind <= 50 then majorind = 2;
if consind = 60 then majorind = 3;
if consind >= 100 and consind <= 222 then majorind = 4;
if consind >= 230 and consind <= 392 then majorind = 5;
if consind >= 400 and consind <= 472 then majorind = 6;
if consind >= 500 and consind <= 571 then majorind = 7;
if consind >= 580 and consind <= 691 then majorind = 8;
if consind >= 700 and consind <= 712 then majorind = 9;
if consind >= 721 and consind <= 760 then majorind = 10;
if consind >= 761 and consind <= 791 then majorind = 11;
if consind >= 800 and consind <= 802 then majorind = 12;
if consind >= 812 then majorind = 13;
run;

/* use earnwt for all calculations, not just inequality
	figures below */

proc sort data=a.samp;
by year majorind;
run;
proc univariate data=a.samp noprint;
by year majorind;
var nohs somehs hs somecoll coll;
output out = a.cpseduc mean = nohs somehs hs somecoll coll;
weight earnwt;
run;
