/* Program reads October 1989 CPS (with computer supplement) */

libname a 'd:\research\fedreview';

data a.cpsoct89;
infile 'd:\research\fedreview\cpsoct89.raw' lrecl = 464 missover;
input

var1 1
var2 2
var3 3-4
var4 5
var5 6
var6 7
var7 8
var8 9-10
var9 11
var10 12
var11 13
var12 14
var13 15
var14 16-17
var15 18
var16 19
var17 20-21
var18 22
var19 23
var20 24
var21 25
var22 26-27
var23 28
var24 29
var25 30
var26 31
var27 32
var28 33
hhtype 34
var29 35
var30 36-37
var31 38
var32 39
var33 40-41
var34 42-43
var35 44-48
hhwght 49-57
var36 58-77
region 78
censtate 79-80
var37 81-82
state 83-84
metro 85
metaread 86-89
var38 90-91
var39 92-94
var40 95-96
var41 97-98
var42 99
var43 100
rectype 101
id 102-113
var44 114-115
var45 116-117
var46 118-119
age 120-121
marital 122
var47 123-124
sex 125
vetstat 126
higrade 127-128
gradefin 129
race 130
var48 131
var49 132
var50 133-134
var51 135
var52 136
var53 137-138
var54 139
var55 140
var56 141
var57 142
var58 143
var59 144
var60 145
var61 146
var62 147
var63 148
var64 149
var65 150
var66 151
var67 152
var68 153
var69 154-155
var70 156
var71 157
var72 158
var73 159
ind3dig 160-162
occ3dig 163-165
var74 166
var75 167
var76 168
var77 169
var78 170
var79 171
var80 172-183
var81 184
usuhours 185-186
var82 187
unionmem 188
var83 189
var84 190-193
var85 194-195
var86 196-197
empstat 198
var87 199
var88 200-201
var89 202
var90 203
var91 204-215
ind1dig 216-217
inddet 218-219
occ1dig 220-221
occdet 222-223
var92 224-232
hourwg 233-236
weekwg 237-240
var93 241
var94 242
var95 243-247
fnlwght 248-255
/*var96 256-360*/
var97 361-368
var98 369-376
comphh 377
var99 378-388
compwork 389
/*var100 390-411*/
comphome 412
/*var101 413-432*/
suppwght 433-441
/*var102 442-464*/;

if rectype = 1;
if empstat >= 1 and empstat <= 2;
if age >= 18 and age <= 65;

run;

/* One digit occupations */

/* 1 = Executive, administrative, and managerial 
2 = Professional specialty
3 = Technicians and related support 
4 = Sales
5 = Administrative support including clerical
6 = Private household services
7 = Protective service
8 = Other service
9 = Precision production, craft, and repair
10 = Machine operators, assemblers, inspectors
11 = Transportation and material moving equipment
12 = Handlers, equipment cleaners, helpers, laborers
13 = Farming, forestry, fishing 
14 = Military, unemployed, other */

data a.cpsoct89;
set a.cpsoct89;
if occ3dig >= 3 and occ3dig <= 37 then consocc = 1;
if occ3dig >= 43 and occ3dig <= 199 then consocc = 2;
if occ3dig >= 203 and occ3dig <= 235 then consocc = 3;
if occ3dig >= 243 and occ3dig <= 285 then consocc = 4;
if occ3dig >= 303 and occ3dig <= 389 then consocc = 5;
if occ3dig >= 403 and occ3dig <= 407 then consocc = 6;
if occ3dig >= 413 and occ3dig <= 427 then consocc = 7;
if occ3dig >= 433 and occ3dig <= 469 then consocc = 8;
if occ3dig >= 503 and occ3dig <= 699 then consocc = 9;
if occ3dig >= 703 and occ3dig <= 799 then consocc = 10;
if occ3dig >= 803 and occ3dig <= 859 then consocc = 11;
if occ3dig >= 863 and occ3dig <= 889 then consocc = 12;
if occ3dig >= 473 and occ3dig <= 499 then consocc = 13;
if occ3dig > 890 then consocc = 14;
run;

data a.cpsoct89;
set a.cpsoct89;
rename consocc = majorocc;
run;

data a.cpsoct89;
set a.cpsoct89;
year = 1989;
run;

* CREATE TIME CONSISTENT OCCUPATION CODE (80 CODE) ;
* OCCUP3 IS CENSUS CODE USED IN CPS AND OCCUP80 IS NEW TIME-CONSISTENT CODE;

data a.cpsoct89;
set a.cpsoct89;
rename occ3dig = occup3;
run;
data a.cpsoct89;
set a.cpsoct89;
IF YEAR LE 1991 THEN DO ;
   OCCUP80 = OCCUP3 ;
   IF OCCUP80 EQ 349 THEN OCCUP80 = 353 ;* COMBINE TELEGRAPH AND COMMUN NEC;
   IF OCCUP80 EQ 369 THEN OCCUP80 = 368 ;* COMBINE WEIGHERS AND SAMPLERS;
   IF OCCUP80 EQ 437 THEN OCCUP80 = 436 ;* COMBINE COOKS AND SHORT ORD COOK;
   IF OCCUP80 EQ 673 THEN OCCUP80 = 674 ;* COMBINE PATTERNMAKE AND MISC APP;
   IF OCCUP80 EQ 794 THEN OCCUP80 = 795 ;* COMBINE MISC HAND WORKERS ;
   IF OCCUP80 EQ 805 THEN OCCUP80 = 804 ;* COMBINE LIGHT AND HEAVY TRCK DRV;
END ; 

IF YEAR GE 1992 THEN DO ;
   IF OCCUP3 LE  15 THEN OCCUP80 = OCCUP3 ;* NO CHANGE ;
   IF OCCUP3 EQ  16 THEN OCCUP80 = 17 ;* CODE CHANGE ;
   IF OCCUP3 EQ  17 THEN OCCUP80 = 19 ;* INC. FOOD MANAG IN MANAGERS MISC;
   IF OCCUP3 EQ  18 THEN OCCUP80 = 16 ;* CODE CHANGE ;
   IF OCCUP3 EQ  19 THEN OCCUP80 = 18 ;* CODE CHANGE ;
   IF OCCUP3 EQ  21 THEN OCCUP80 = 19 ;* INC. SERV MANAG IN MANAGERS MISC;
   IF OCCUP3 EQ  22 THEN OCCUP80 = 19 ;* CODE CHANGE ;
   IF OCCUP3 GE  23 AND  OCCUP3 LE 348 THEN OCCUP80 = OCCUP3 ;* NO CHANGE ;
   IF OCCUP3 EQ 349 THEN OCCUP80 = 353 ;* COMBINE TELEGRAPH AND COMMUN NEC;
   IF OCCUP3 GE 353 AND  OCCUP3 LE 366 THEN OCCUP80 = OCCUP3 ;* NO CHANGE ;
   IF OCCUP3 EQ 368 THEN OCCUP80 = 368 ;* WEIGHERS COMBINATION;
   IF OCCUP3 GE 373 AND  OCCUP3 LE 435 THEN OCCUP80 = OCCUP3 ;* NO CHANGE ;
   IF OCCUP3 EQ 436 THEN OCCUP80 = 436 ;* COOK COMBINATION ;
   IF OCCUP3 GE 438 AND  OCCUP3 LE 460 THEN OCCUP80 = OCCUP3 ;* NO CHANGE ;
   IF OCCUP3 EQ 461 THEN OCCUP80 = 463 ;* CODE CHANGE ;
   IF OCCUP3 EQ 462 THEN OCCUP80 = 464 ;* CODE CHANGE ;
   IF OCCUP3 EQ 463 THEN OCCUP80 = 465 ;* CODE CHANGE ;
   IF OCCUP3 EQ 464 THEN OCCUP80 = 466 ;* CODE CHANGE ;
   IF OCCUP3 EQ 465 THEN OCCUP80 = 467 ;* CODE CHANGE ;
   IF OCCUP3 EQ 466 THEN OCCUP80 = 468 ;* INC FAMILY CHILD CARE IN CHILD CA;
   IF OCCUP3 EQ 467 THEN OCCUP80 = 468 ;* INC EARLY CHILD CARE IN CHILD CAR;
   IF OCCUP3 GE 468 AND  OCCUP3 LE 617 THEN OCCUP80 = OCCUP3;* NO CHANGE ;
   IF OCCUP3 EQ 628 THEN OCCUP80 = 633 ;* CODE CHANGE ;
   IF OCCUP3 GE 634 AND  OCCUP3 LE 669 THEN OCCUP80 = OCCUP3;* NO CHANGE ;
   IF OCCUP3 EQ 674 THEN OCCUP80 = 674 ;* COMBINE PATTERNMAKE AND MISC APP ;
   IF OCCUP3 GE 675 AND  OCCUP3 LE 794 THEN OCCUP80 = OCCUP3;* NO CHANGE ;
   IF OCCUP3 EQ 795 THEN OCCUP80 = 795 ;* COMBINE MISC HAND WORKERS ;
   IF OCCUP3 GE 796 AND  OCCUP3 LE 803 THEN OCCUP80 = OCCUP3;* NO CHANGE ;
   IF OCCUP3 EQ 804 THEN OCCUP80 = 804 ;* COMBINE LIGHT AND HEAVY TRUCK DRV;
   IF OCCUP3 GE 806 AND  OCCUP3 LE 863 THEN OCCUP80 = OCCUP3;* NO CHANGE ;
   IF OCCUP3 EQ 864 THEN OCCUP80 = 863 ;* CODE CHANGE ;
   IF OCCUP3 EQ 865 THEN OCCUP80 = 864 ;* CODE CHANGE ;
   IF OCCUP3 EQ 866 THEN OCCUP80 = 865 ;* CODE CHANGE ;
   IF OCCUP3 EQ 867 THEN OCCUP80 = 866 ;* CODE CHANGE ;
   IF OCCUP3 EQ 868 THEN OCCUP80 = 867 ;* CODE CHANGE ;
   IF OCCUP3 EQ 869 THEN OCCUP80 = 869 ;* NO CHANGE ;
   IF OCCUP3 EQ 874 THEN OCCUP80 = 873 ;* CODE CHANGE ;
   IF OCCUP3 GE 875 THEN OCCUP80 = OCCUP3 ;* NO CHANGE ;
END ;
run;
data a.cpsoct89;
set a.cpsoct89;
rename occup80 = consocc;
run;

/* Approximate 3 digit industries */

data a.cpsoct89;
set a.cpsoct89;
consind = ind3dig;
run;
data a.cpsoct89;
set a.cpsoct89;
if ind3dig = 891 then consind = 730;
run;

/* Create a broader industry category for industry-occupation groups */

/* Majorind categories

	1 = agriculture, forestry, fisheries
	2 = mining
	3 = construction
	4 = nondurable mfg
	5 = durable mfg
	6 = transportation
	7 = communications
	8 = utilities and sanitary services
	9 = wholesale trade
	10 = retail trade
	11 = finance, insurance, real estate
	12 = business and repair services
	13 = private household services
	14 = personal services (except private household)
	15 = entertainment and recreation services
	16 = medical services
	17 = educational services
	18 = social services
	19 = other professional services
	20 = public administration
	21 = other
*/

data a.cpsoct89;
set a.cpsoct89;
if consind >= 10 and consind <= 31 then majorind = 1;
if consind >= 40 and consind <= 50 then majorind = 2;
if consind = 60 then majorind = 3;
if consind >= 100 and consind <= 222 then majorind = 4;
if consind >= 230 and consind <= 392 then majorind = 5;
if consind >= 400 and consind <= 432 then majorind = 6;
if consind >= 440 and consind <= 442 then majorind = 7;
if consind >= 460 and consind <= 472 then majorind = 8;
if consind >= 500 and consind <= 571 then majorind = 9;
if consind >= 580 and consind <= 691 then majorind = 10;
if consind >= 700 and consind <= 712 then majorind = 11;
if consind >= 721 and consind <= 760 then majorind = 12;
if consind = 891 then majorind = 12;
if consind = 761 then majorind = 13;
if consind >= 762 and consind <= 791 then majorind = 14;
if consind >= 800 and consind <= 802 then majorind = 15;
if consind >= 812 and consind <= 840 then majorind = 16;
if consind = 870 then majorind = 16;
if consind >= 842 and consind <= 861 then majorind = 17;
if consind = 862 then majorind = 18;
if consind >= 871 and consind <= 881 then majorind = 18;
if consind = 841 then majorind = 19;
if consind >= 882 and consind <= 890 then majorind = 19;
if consind = 892 then majorind = 19;
if consind >= 900 and consind <= 932 then majorind = 20;
if consind > 990 then majorind = 21;
run;

/* Create variables of interest */

data a.cpsoct89;
set a.cpsoct89;
wght = suppwght/100; /* 2 decimal places here */
compusew = (compwork-2)**2;
compuseh = (comphome-2)**2;
compinhh = (comphh - 2)**2;
female = 0;
nonwhite = 0;
married = 0;
nohs = 0;
somehs = 0;
hs = 0;
somecoll = 0;
coll = 0;
urban = 0;
edyrs = higrade;
run;

data a.cpsoct89;
set a.cpsoct89;
if compwork = 9 then compusew = '.';
if comphome = 9 then compuseh = '.';
if comphh = 9 then compinhh = '.';
run;

data a.cpsoct89;
set a.cpsoct89;
if gradefin = 2 then edyrs = higrade -1;
run;

data a.cpsoct89;
set a.cpsoct89;
if sex = 2 then female = 1; 
if marital >= 1 and marital <= 3 then married = 1;
if race > 1 then nonwhite = 1;
if metro >= 1 and metro <= 2 then urban = 1;
if metro = 4 then urban = '.'; /* not identified */
if edyrs >=0 and edyrs <= 8 then nohs = 1;
if edyrs >= 9 and edyrs <= 11 then somehs = 1;
if edyrs = 12 then hs = 1;
if edyrs >= 13 and edyrs <= 15 then somecoll = 1;
if edyrs >= 16 then coll = 1;
run;

data a.cpsoct89;
set a.cpsoct89;
rename unionmem = member;
run;

data a.cpsoct89;
set a.cpsoct89;
hrwage = hourwg;
hrsweek = usuhours;
unionmem = 0;
unioncov = 0;
veteran = 0;
run;

data a.cpsoct89;
set a.cpsoct89;
if member = 1 then unionmem = 1;
if var83 = 1 then unioncov = 1;
if vetstat >= 1 and vetstat <= 5 then veteran = 1;
run;

data a.cpsoct89;
set a.cpsoct89;

if metaread = 1120 then metaread = 1123;
if metaread = 1121 then metaread = 1123;
if metaread = 1122 then metaread = 1123;
if metaread = 1123 then metaread = 1123;
if metaread = 1200 then metaread = 1123;
if metaread = 5350 then metaread = 1123;

if metaread = 1280 then metaread = 1280;
if metaread = 1281 then metaread = 1280;

if metaread = 1600 then metaread = 1602;
if metaread = 1601 then metaread = 1602;
if metaread = 1602 then metaread = 1602;
if metaread = 1603 then metaread = 1602;
if metaread = 1604 then metaread = 1602;
if metaread = 3800 then metaread = 1602;

if metaread = 1640 then metaread = 1642;
if metaread = 3200 then metaread = 1642;

if metaread = 80 then metaread = 1692;
if metaread = 1680 then metaread = 1692;
if metaread = 4440 then metaread = 1692; /* note typo in IPUMS */

if metaread = 1920 then metaread = 1922;
if metaread = 1921 then metaread = 1922;

if metaread = 2080 then metaread = 2082;
if metaread = 2081 then metaread = 2082;

if metaread = 440 then metaread = 2162;
if metaread = 2160 then metaread = 2162;

if metaread = 3280 then metaread = 3283;
if metaread = 3281 then metaread = 3283;
if metaread = 3282 then metaread = 3283;
if metaread = 3283 then metaread = 3283;

if metaread = 2920 then metaread = 3362;
if metaread = 3360 then metaread = 3362;
if metaread = 3361 then metaread = 3362;

if metaread = 4480 then metaread = 4472;
if metaread = 4481 then metaread = 4472;
if metaread = 6780 then metaread = 4472;
if metaread = 6781 then metaread = 4472;
if metaread = 8730 then metaread = 4472;

if metaread = 2680 then metaread = 4992;
if metaread = 5000 then metaread = 4992;

if metaread = 5080 then metaread = 5082;
if metaread = 6600 then metaread = 5082;

if metaread = 1160 then metaread = 5602;
if metaread = 1930 then metaread = 5602;
if metaread = 5190 then metaread = 5602;
if metaread = 5600 then metaread = 5602;
if metaread = 5601 then metaread = 5602;
if metaread = 5602 then metaread = 5602;
if metaread = 5603 then metaread = 5602;
if metaread = 5604 then metaread = 5602;
if metaread = 5605 then metaread = 5602;
if metaread = 5760 then metaread = 5602;
if metaread = 5950 then metaread = 5602;
if metaread = 8040 then metaread = 5602;

if metaread = 6160 then metaread = 6162;
if metaread = 8480 then metaread = 6162;
if metaread = 8760 then metaread = 6162;
if metaread = 9160 then metaread = 6162;

if metaread = 6280 then metaread = 6280;
if metaread = 6281 then metaread = 6280;

if metaread = 6440 then metaread = 6442;
if metaread = 6441 then metaread = 6442;

if metaread = 6480 then metaread = 6483;
if metaread = 6481 then metaread = 6483;
if metaread = 6482 then metaread = 6483;

if metaread = 7360 then metaread = 7362;
if metaread = 7361 then metaread = 7362;
if metaread = 7362 then metaread = 7362;
if metaread = 7400 then metaread = 7362;
if metaread = 7480 then metaread = 7362;
if metaread = 7500 then metaread = 7362;

if metaread = 7600 then metaread = 7602;
if metaread = 8200 then metaread = 7602;

/* additional alterations - these update to USA Counties
	definitions and codes */

if metaread = 400 then metaread = 3480;
if metaread = 560 then metaread = 6162;
if metaread = 720 then metaread = 8872;
if metaread = 730 then metaread = 733;
if metaread = 780 then metaread = 3720;
if metaread = 1140 then metaread = 7510;
if metaread = 1150 then metaread = 7602;
if metaread = 1300 then metaread = 3120;
if metaread = 1310 then metaread = 1303;
if metaread = 1521 then metaread = 1520;
if metaread = 2001 then metaread = 2000;
if metaread = 2330 then metaread = 2335;
run;

/* need to reset */

data a.cpsoct89;
set a.cpsoct89;
if metaread = 2320 then metaread = 2330;
run;

data a.cpsoct89;
set a.cpsoct89;
if metaread = 2310 then metaread = 2320;
if metaread = 2600 then metaread = 1123;
if metaread = 2640 then metaread = 2162;
if metaread = 2660 then metaread = 2655;
if metaread = 2970 then metaread = 2975;
if metaread = 2990 then metaread = 2985;
if metaread = 3060 then metaread = 2082;
if metaread = 3121 then metaread = 3120;
if metaread = 3161 then metaread = 3160;
if metaread = 3180 then metaread = 8872;
if metaread = 3590 then metaread = 3600;
if metaread = 3740 then metaread = 1602;
if metaread = 4240 then metaread = 4243;
if metaread = 4410 then metaread = 5602;
if metaread = 4760 then metaread = 1123;
if metaread = 5040 then metaread = 5800;
if metaread = 5320 then metaread = 3000;
if metaread = 5340 then metaread = 5345;
if metaread = 5400 then metaread = 1123;
if metaread = 5460 then metaread = 5602;
if metaread = 5480 then metaread = 5483;
if metaread = 5520 then metaread = 5523;
if metaread = 5640 then metaread = 1840;
if metaread = 5660 then metaread = 5602;
if metaread = 5910 then metaread = 7602;
if metaread = 6010 then metaread = 6015;
if metaread = 6030 then metaread = 920;
if metaread = 6320 then metaread = 6323;
if metaread = 6400 then metaread = 6403;
if metaread = 6450 then metaread = 1123;
if metaread = 6460 then metaread = 5602;
if metaread = 6641 then metaread = 6640;
if metaread = 6761 then metaread = 6760;
if metaread = 6920 then metaread = 6922;
if metaread = 6961 then metaread = 6960;
if metaread = 7080 then metaread = 6442;
if metaread = 7140 then metaread = 1520;
if metaread = 7161 then metaread = 7160;
if metaread = 7561 then metaread = 7560;
if metaread = 8000 then metaread = 8003;
if metaread = 8840 then metaread = 8872;
if metaread = 8880 then metaread = 5483;
if metaread = 9240 then metaread = 1123;

if metaread = 1140 then metaread = 7510; /*just for 1980-90*/
run;

/* keep only variables needed */

data a.cpsoct89;
set a.cpsoct89;
keep age occ3dig compwork comphh comphome consocc consind
	majorind majorocc compusew compuseh compinhh female nonwhite
	married nohs somehs hs somecoll coll urban
	state metaread hrwage weekwg hrsweek unionmem unioncov
	veteran edyrs wght year;
run;

data a.cpsoct89;
set a.cpsoct89;
exper = max(age-edyrs-6, 0);
run;
data a.cpsoct89;
set a.cpsoct89;
exper2 = exper**2;
exper3 = exper**3;
exper4 = exper**4;
run;
