/* Program reads 1997 raw CPS data (computer use supplement) */

libname a 'd:\research\fedreview';

data a.cpsoct97;
infile 'd:\research\fedreview\cpsoct97.raw' lrecl = 1300 missover;

/*-------------------------------------------------------------------------------------*/
/* The following changes in variable names have been made, if necessary:
       '$' to 'd';            '-' to '_';                    '%' to 'p';
       ($ = unedited data;     - = edited data;               % = allocated data)

   Note:  Variable names in SAS are not case-sensitive                                 */

/*-------------------------------------------------------------------------------------*/

/*LENGTH

HRHHID     $15  
HWHHWGT    6    
HRSAMPLE   $4   
HRSERSUF   $3   
GEMSA      4    
HULENSEC   4    
PULBHSEC   4    
PUERNH1C   4    
PEERNH2    4    
PEERNH1O   4    
PRERNHLY   4    
PRERNWA    5    
PEERN      5    
PUERN2     5    
PWFMWGT    6    
PWLGWGT    6    
PWORWGT    6    
PWSSWGT    6    
PWVETWGT   6    
PEAMOUNT   4    
PECHAMNT   4    
DEFAULT=3;
*/
INPUT

@1    HRHHID      $15. 
@16   HUINTTYP      2. 
@20   HUPRSCNT      2. 
@22   HURESPLI      2. 
@24   HUFINAL       3. 
@27   HUSPNISH      2. 
@29   HETENURE      2. 
@31   HEHOUSUT      2. 
@33   HETELHHD      2. 
@35   HETELAVL      2. 
@37   HEPHONEO      2. 
@39   HUFAMINC      2. 
@41   HUTYPEA       2. 
@43   HUTYPB        2. 
@45   HUTYPC        2. 
@47   HWHHWGT      10. 
@57   HRINTSTA      2. 
@59   RNUMHOU       2. 
@61   HRHTYPE       2. 
@63   HRMIS         2. 
@65   HRMONTH       2. 
@67   HRYEAR        2. 
@69   HRLONGLK      2. 
@71   HRSAMPLE     $4. 
@75   HRSERSUF     $2. 
@77   HUHHNUM       2. 
@79   HUBUS         2. 
@81   HUBUSL1       2. 
@83   HUBUSL2       2. 
@85   HUBUSL3       2. 
@87   HUBUSL4       2. 
@89   GEREG         2. 
@91   GESTCEN       2. 
@93   GESTFIPS      2. 
@95   GECMSA        2. 
@97   GEMSA         4. 
@101  GECO          3. 
@104  GEMSAST       1. 
@105  GEMETSTA      1. 
@106  GEINDVCC      1. 
@107  GEMSASZ       1. 
@108  GECMSASZ      1. 
@109  HULENSEC      5. 
@114  PROLDRRP      2. 
@116  PUPELIG       2. 
@118  PERRP         2. 
@120  PEPARENT      2. 
@122  PEAGE         2. 
@124  PTAGE         1. 
@125  PEMARITL      2. 
@127  PESPOUSE      2. 
@129  PESEX         2. 
@131  PUAFEVER      2. 
@133  PEAFWHEN      2. 
@135  PEAFNOW       2. 
@137  PEEDUCA       2. 
@139  PERACE        2. 
@141  PRORIGIN      2. 
@143  PUCHINHH      2. 
@145  PURELFLG      2. 
@147  PULINENO      2. 
@151  PRFAMNUM      2. 
@153  PRFAMREL      2. 
@155  PRFAMTYP      2. 
@157  PRHSPNON      2. 
@159  PRMARSTA      2. 
@161  PRPERTYP      2. 
@163  PENATVTY      3. 
@166  PEMNTVTY      3. 
@169  PEFNTVTY      3. 
@172  PRCITSHP      2. 
@174  PRCITFLG      2. 
@176  PRINUSYR      2. 
@178  PUSLFPRX      2. 
@180  PEMLR         2. 
@182  PUWK          2. 
@184  PUBUS1        2. 
@186  PUBUS2OT      2. 
@188  PUBUSCK1      2. 
@190  PUBUSCK2      2. 
@192  PUBUSCK3      2. 
@194  PUBUSCK4      2. 
@196  PURETOT       2. 
@198  PUDIS         2. 
@200  PERET1        2. 
@202  PUDIS1        2. 
@204  PUDIS2        2. 
@206  PUABSOT       2. 
@208  PULAY         2. 
@210  PEABSRSN      2. 
@212  PEABSPDO      2. 
@214  PEMJOT        2. 
@216  PEMJNUM       2. 
@218  PEHRUSL1      2. 
@220  PEHRUSL2      2. 
@222  PEHRFTPT      2. 
@224  PEHRUSLT      3. 
@227  PEHRWANT      2. 
@229  PEHRRSN1      2. 
@231  PEHRRSN2      2. 
@233  PEHRRSN3      2. 
@235  PUHROFF1      2. 
@237  PUHROFF2      2. 
@239  PUHROT1       2. 
@241  PUHROT2       2. 
@243  PEHRACT1      2. 
@245  PEHRACT2      2. 
@247  PEHRACTT      3. 
@250  PEHRAVL       2. 
@252  PULBHSEC      5. 
@257  PUHRCK1       2. 
@259  PUHRCK2       2. 
@261  PUHRCK3       2. 
@263  PUHRCK4       2. 
@265  PUHRCK5       2. 
@267  PUHRCK6       2. 
@269  PUHRCK7       2. 
@271  PUHRCK12      2. 
@273  PULAYDTH      2. 
@275  PULAY6M       2. 
@277  PELAYAVL      2. 
@279  PULAYAVR      2. 
@281  PELAYLK       2. 
@283  PELAYDUR      3. 
@286  PELAYFTO      2. 
@288  PULAYCK1      2. 
@290  PULAYCK2      2. 
@292  PULAYCK3      2. 
@294  PULK          2. 
@296  PELKM1        2. 
@298  PULKM2        2. 
@300  PULKM3        2. 
@302  PULKM4        2. 
@304  PULKM5        2. 
@306  PULKM6        2. 
@308  PULKDK1       2. 
@310  PULKDK2       2. 
@312  PULKDK3       2. 
@314  PULKDK4       2. 
@316  PULKDK5       2. 
@318  PULKDK6       2. 
@320  PULKPS1       2. 
@322  PULKPS2       2. 
@324  PULKPS3       2. 
@326  PULKPS4       2. 
@328  PULKPS5       2. 
@330  PULKPS6       2. 
@332  PELKAVL       2. 
@334  PULKAVR       2. 
@336  PELKLL1O      2. 
@338  PELKLL2O      2. 
@340  PELKLWO       2. 
@342  PELKDUR       3. 
@345  PELKFTO       2. 
@347  PEDWWNTO      2. 
@349  PEDWRSN       2. 
@351  PEDWLKO       2. 
@353  PEDWWK        2. 
@355  PEDW4WK       2. 
@357  PEDWLKWK      2. 
@359  PEDWAVL       2. 
@361  PEDWAVR       2. 
@363  PUDWCK1       2. 
@365  PUDWCK2       2. 
@367  PUDWCK3       2. 
@369  PUDWCK4       2. 
@371  PUDWCK5       2. 
@373  PEJHWKO       2. 
@375  PUJHDP1O      2. 
@377  PEJHRSN       2. 
@379  PEJHWANT      2. 
@381  PUJHCK1       2. 
@383  PUJHCK2       2. 
@385  PRABSREA      2. 
@387  PRCIVLF       2. 
@389  PRDISC        2. 
@391  PREMPHRS      2. 
@393  PREMPNOT      2. 
@395  PREXPLF       2. 
@397  PRFTLF        2. 
@399  PRHRUSL       2. 
@401  PRJOBSEA      2. 
@403  PRPTHRS       2. 
@405  PRPTREA       2. 
@407  PRUNEDUR      3. 
@410  PRUSFTPT      2. 
@412  PRUNTYPE      2. 
@414  PRWKSCH       2. 
@416  PRWKSTAT      2. 
@418  PRWNTJOB      2. 
@420  PUJHCK3       2. 
@422  PUJHCK4       2. 
@424  PUJHCK5       2. 
@426  PUIODP1       2. 
@428  PUIODP2       2. 
@430  PUIODP3       2. 
@432  PEIO1COW      2. 
@434  PUIO1MFG      2. 
@436  PEIO1ICD      3. 
@439  PEIO1OCD      3. 
@442  PEIO2COW      2. 
@444  PUIO2MFG      2. 
@446  PEIO2ICD      3. 
@449  PEIO2OCD      3. 
@452  PUIOCK1       2. 
@454  PUIOCK2       2. 
@456  PUIOCK3       2. 
@458  PRIOELG       2. 
@460  PRAGNA        2. 
@462  PRCOW1        2. 
@464  PRCOW2        2. 
@466  PRCOWPG       2. 
@468  PRDTCOW1      2. 
@470  PRDTCOW2      2. 
@472  PRDTIND1      2. 
@474  PRDTIND2      2. 
@476  PRDTOCC1      2. 
@478  PRDTOCC2      2. 
@480  PREMP         2. 
@482  PRMJIND1      2. 
@484  PRMJIND2      2. 
@486  PRMJOCC1      2. 
@488  PRMJOCC2      2. 
@490  PRMJOCGR      2. 
@492  PRNAGPWS      2. 
@494  PRNAGWS       2. 
@496  PRSJMJ        2. 
@498  PRERELG       2. 
@500  PEERNUOT      2. 
@502  PEERNPER      2. 
@504  PEERNRT       2. 
@506  PEERNHRY      2. 
@508  PUERNH1C      4. 
@512  PEERNH2       4. 
@516  PEERNH1O      4. 
@520  PRERNHLY      4. 
@524  PTHR          1. 
@525  PEERNHRO      2. 
@527  PRERNWA       8. 
@535  PTWK          1. 
@536  PEERNVR1      2. 
@538  PEERNVR3      2. 
@540  PEERN         8. 
@548  PUERN2        8. 
@556  PTOT          1. 
@557  PUERNVR4      2. 
@559  PEERNWKP      2. 
@561  PEERNLAB      2. 
@563  PEERNCOV      2. 
@565  PENLFJH       2. 
@567  PENLFRET      2. 
@569  PENLFACT      2. 
@571  PUNLFCK1      2. 
@573  PUNLFCK2      2. 
@575  PESCHENR      2. 
@577  PESCHFT       2. 
@579  PESCHLVL      2. 
@581  PRNLFSCH      2. 
@583  PWFMWGT      10. 
@593  PWLGWGT      10. 
@603  PWORWGT      10. 
@613  PWSSWGT      10. 
@623  PWVETWGT     10. 
@639  PRWERNAL      2. 
@641  PRHERNAL      2. 
@643  HXTENURE      2. 
@645  HXHOUSUT      2. 
@647  HXTELHHD      2. 
@649  HXTELAVL      2. 
@651  HXPHONEO      2. 
@653  PXINUSYR      2. 
@655  PXRRP         2. 
@657  PXPARENT      2. 
@659  PXAGE         2. 
@661  PXMARITL      2. 
@663  PXSPOUSE      2. 
@665  PXSEX         2. 
@667  PXAFWHEN      2. 
@669  PXAFNOW       2. 
@671  PXEDUCA       2. 
@673  PXRACE        2. 
@675  PXNATVTY      2. 
@677  PXMNTVTY      2. 
@679  PXFNTVTY      2. 
@683  PXORIGIN      2. 
@685  PXMLR         2. 
@687  PXRET1        2. 
@689  PXABSRSN      2. 
@691  PXABSPDO      2. 
@693  PXMJOT        2. 
@695  PXMJNUM       2. 
@697  PXHRUSL1      2. 
@699  PXHRUSL2      2. 
@701  PXHRFTPT      2. 
@703  PXHRUSLT      2. 
@705  PXHRWANT      2. 
@707  PXHRRSN1      2. 
@709  PXHRRSN2      2. 
@711  PXHRACT1      2. 
@713  PXHRACT2      2. 
@715  PXHRACTT      2. 
@717  PXHRRSN3      2. 
@719  PXHRAVL       2. 
@721  PXLAYAVL      2. 
@723  PXLAYLK       2. 
@725  PXLAYDUR      2. 
@727  PXLAYFTO      2. 
@729  PXLKM1        2. 
@731  PXLKAVL       2. 
@733  PXLKLL1O      2. 
@735  PXLKLL2O      2. 
@737  PXLKLWO       2. 
@739  PXLKDUR       2. 
@741  PXLKFTO       2. 
@743  PXDWWNTO      2. 
@745  PXDWRSN       2. 
@747  PXDWLKO       2. 
@749  PXDWWK        2. 
@751  PXDW4WK       2. 
@753  PXDWLKWK      2. 
@755  PXDWAVL       2. 
@757  PXDWAVR       2. 
@759  PXJHWKO       2. 
@761  PXJHRSN       2. 
@763  PXJHWANT      2. 
@765  PXIO1COW      2. 
@767  PXIO1ICD      2. 
@769  PXIO1OCD      2. 
@771  PXIO2COW      2. 
@773  PXIO2ICD      2. 
@775  PXIO2OCD      2. 
@777  PXERNUOT      2. 
@779  PXERNPER      2. 
@781  PXERNH1O      2. 
@783  PXERNHRO      2. 
@785  PXERN         2. 
@787  PXERNVR1      2. 
@789  PXERNVR3      2. 
@791  PXERNWKP      2. 
@793  PXERNRT       2. 
@795  PXERNHRY      2. 
@797  PXERNH2       2. 
@799  PXERNLAB      2. 
@801  PXERNCOV      2. 
@803  PXNLFJH       2. 
@805  PXNLFRET      2. 
@807  PXNLFACT      2. 
@809  PXSCHENR      2. 
@811  PXSCHFT       2. 
@813  PXSCHLVL      2. 
@815  PESSCHOL      2. 
@817  PEPUBLIC      2. 
@819  PEGRADE       2. 
@821  PEFULL        2. 
@823  PESTYPE       2. 
@825  PEVOCA        2. 
@827  PELASTYR      2. 
@829  PELASTGD      2. 
@831  PENOTENR      2. 
@833  PEYRATT       2. 
@835  PEYRDEG       2. 
@837  PEYRDIP       2. 
@839  PEGED         2. 
@845  PEAMOUNT      4. 
@849  PEAMTPER      2. 
@851  PESUSFPX      2. 
@853  PESCH35       2. 
@855  PESCH614      2. 
@857  PECNOTEN      2. 
@859  PECHPUB       2. 
@861  PECHGRDE      2. 
@863  PES56         2. 
@869  PECHCATH      2. 
@871  PECHAMNT      5. 
@878  PESCU1        2. 
@880  PESCU2        2. 
@882  PESCU3        2. 
@884  PESCU4A       2. 
@886  PESCU4B       2. 
@888  PESCU4C       2. 
@890  PESCU4D       2. 
@892  PESCU4E       2. 
@894  PESCU4F       2. 
@896  PESCU4G       2. 
@898  PESCU4H       2. 
@900  PESCU4I       2. 
@902  PESCU4J       2. 
@904  PESCU4K       2. 
@906  PESCU4L       2. 
@908  PESAWAY1      2. 
@910  PESAWAY2      2. 
@912  PESCU5        2. 
@914  PESCU6A       2. 
@916  ESCU6B        2. 
@918  PESCU6C       2. 
@920  PESCU6D       2. 
@922  PESCU6E       2. 
@924  PESCU6F       2. 
@926  PESCU6G       2. 
@928  PESCU6H       2. 
@930  PESCU6I       2. 
@932  PESCU6J       2. 
@934  PESCU6K       2. 
@936  PESCU6L       2. 
@938  PESCU6M       2. 
@940  PESCU6N       2. 
@942  PESCU7        2. 
@944  PESCU8        2. 
@946  PESCU9A       2. 
@948  PESCU9B       2. 
@950  PESCU9C       2. 
@952  PESCU9D       2. 
@954  PESCU9E       2. 
@956  PESCU9F       2. 
@958  PESCU9G       2. 
@960  PESCU9H       2. 
@962  PESCU9I       2. 
@964  PESCU9J       2. 
@966  PESCU9K       2. 
@968  PESCU9L       2. 
@970  PESCU9M       2. 
@972  PESCU9N       2. 
@974  PESCU9O       2. 
@976  PESCU10       2. 
@978  PESCU11       2. 
@980  PESCU12A      2. 
@982  PESCU12B      2. 
@984  PESCU12C      2. 
@986  PESCU13A      2. 
@988  PESCU13B      2. 
@990  PESCU13C      2. 
@992  PESCU13D      2. 
@994  PESCU13E      2. 
@996  PESCU13F      2. 
@998  PESCU13G      2. 
@1000 PESCU13H      2. 
@1002 PESCU13I      2. 
@1004 PESCU14       2. 
@1006 PESCHCU1      2. 
@1054 PXPUBLIC      2. 
@1056 PXGRADE       2. 
@1058 PXFULL        2. 
@1060 PXSTYPE       2. 
@1062 PXVOCA        2. 
@1064 PXLASTYR      2. 
@1066 PXLASTGD      2. 
@1068 PXYRDEG       2. 
@1070 PXYRATT       2. 
@1072 PXYRDIP       2. 
@1074 PXGED         2. 
@1076 PXSCU1        2. 
@1078 PXSCU2        2. 
@1080 PXSCU3        2. 
@1082 PXSCU4        2. 
@1084 PXSAWAY1      2. 
@1086 PXSAWAY2      2. 
@1088 PXSCU5        2. 
@1090 PXSCU6        2. 
@1092 PXSCU7        2. 
@1094 PXSCU8        2. 
@1096 PXSCU9        2. 
@1098 PXSCU10       2. 
@1100 PXSCU11       2. 
@1102 PXSCU12A      2. 
@1104 PXSCU12B      2. 
@1106 PXSCU12C      2. 
@1108 PXSCU13       2. 
@1110 PXSCH35       2. 
@1112 PXSCH614      2. 
@1114 PXCHPUB       2. 
@1116 PXCHGRDE      2. 
@1118 PXS56         2. 
@1120 PXS57         2. 
@1122 PXSCHCU1      2. 
@1124 PXSCHCU2      2. 
@1126 PXSCHCU3      2. 
@1128 PXSCCU4       2. 
@1130 PXSCHCU5      2. 
@1132 PXSCHCU6      2. 
@1134 PXSCHCU7      2. 
@1136 PXSCCU8       2. 
;

LABEL
	HRHHID    = "HOUSEHOLD IDENTIFIER"                  
	HUINTTYP  = "TYPE OF INTERVIEW"                     
	HUPRSCNT  = "NUMBER OF ACTUAL AND"                  
	HURESPLI  = "LINE NUMBER OF THE"                    
	HUFINAL   = "FINAL OUTCOME CODE"                    
	HUSPNISH  = "IS SPANISH THE ONLY LANGUAGE"          
	HETENURE  = "ARE YOUR LIVING QUARTERS..."           
	HEHOUSUT  = "TYPE OF HOUSING UNIT"                  
	HETELHHD  = "IS THERE A TELEPHONE IN"               
	HETELAVL  = "IS THERE A TELEPHONE ELSEWHERE"        
	HEPHONEO  = "IS A TELEPHONE"                        
	HUFAMINC  = "FAMILY INCOME (COMBINED"               
	HUTYPEA   = "TYPE A NONINTERVIEW REASON"            
	HUTYPB    = "TYPE B NON-INTERVIEW REASON"           
	HUTYPC    = "TYPE C NON-INTERVIEW REASON"           
	HWHHWGT   = "HOUSEHOLD WEIGHT (4 IMPLIED"           
	HRINTSTA  = "INTERVIEW STATUS"                      
	RNUMHOU   = "TOTAL NUMBER OF PERSONS LIVING"        
	HRHTYPE   = "HOUSEHOLD TYPE"                        
	HRMIS     = "MONTH-IN-SAMPLE"                       
	HRMONTH   = "MONTH OF INTERVIEW"                    
	HRYEAR    = "YEAR OF INTERVIEW"                     
	HRLONGLK  = "LONGITUDINAL LINK INDICATOR"           
	HRSAMPLE  = "SAMPLE IDENTIFIER"                     
	HRSERSUF  = "SERIAL SUFFIX IDENTIFIES EXTRA UNITS"  
	HUHHNUM   = "Household Number"                      
	HUBUS     = "DOES ANYONE IN THIS"                   
	HUBUSL1   = "ENTER LINE NUMBER"                     
	HUBUSL2   = "See BUSL1"                             
	HUBUSL3   = "See BUSL1"                             
	HUBUSL4   = "See BUSL1"                             
	GEREG     = "REGION"                                
	GESTCEN   = "CENSUS STATE CODE"                     
	GESTFIPS  = "FEDERAL INFORMATION PROCESSING"        
	GECMSA    = "CMSA FIPS CODE"                        
	GEMSA     = "MSA/PMSA FIPS CODE"                    
	GECO      = "FIPS COUNTY CODE"                      
	GEMSAST   = "CENTRAL CITY/BALANCE STATUS"           
	GEMETSTA  = "METROPOLITAN STATUS"                   
	GEINDVCC  = "INDIVIDUAL CENTRAL CITY"               
	GEMSASZ   = "CMSA/PMSA SIZE"                        
	GECMSASZ  = "CMSA/MSA SIZE"                         
	HULENSEC  = "CUMULATIVE INTERVIEW"                  
	PROLDRRP  = "RELATIONSHIP TO REFERENCE"             
	PUPELIG   = "INTERVIEW STATUS OF"                   
	PERRP     = "RELATIONSHIP TO"                       
	PEPARENT  = "LINE NUMBER OF PARENT"                 
	PEAGE     = "PERSONS AGE AS OF"                     
	PTAGE     = "TOP CODE FOR AGE"                      
	PEMARITL  = "MARITAL STATUS"                        
	PESPOUSE  = "LINE NUMBER OF SPOUSE"                 
	PESEX     = "SEX"                                   
	PUAFEVER  = "DID YOU EVER SERVE ON"                 
	PEAFWHEN  = "WHEN DID YOU SERVE?"                   
	PEAFNOW   = "ARE YOU NOW IN THE"                    
	PEEDUCA   = "HIGHEST LEVEL OF SCHOOL"               
	PERACE    = "RACE"                                  
	PRORIGIN  = "ORIGIN OR DESCENT"                     
	PUCHINHH  = "CHANGE IN HOUSEHOLD"                   
	PURELFLG  = "FLAG FOR RELATIONSHIP"                 
	PULINENO  = "PERSON'S LINE NUMBER"                  
	PRFAMNUM  = "FAMILY NUMBER RECODE"                  
	PRFAMREL  = "FAMILY RELATIONSHIP RECODE"            
	PRFAMTYP  = "FAMILY TYPE RECODE"                    
	PRHSPNON  = "HISPANIC OR NON-HISPANIC"              
	PRMARSTA  = "MARITAL STATUS BASED ON"               
	PRPERTYP  = "TYPE OF PERSON RECORD RECODE"          
	PENATVTY  = "COUNTRY OF BIRTH"                      
	PEMNTVTY  = "MOTHER'S COUNTRY OF BIRTH"             
	PEFNTVTY  = "FATHER'S COUNTRY OF BIRTH"             
	PRCITSHP  = "CITIZENSHIP STATUS"                    
	PRCITFLG  = "CITIZENSHIP ALLOCATION FLAG"           
	PRINUSYR  = "IMMIGRANT'S YEAR OF ENTRY"             
	PUSLFPRX  = "LABOR FORCE INFORMATION COLLECTED"     
	PEMLR     = "MONTHLY LABOR FORCE RECODE"            
	PUWK      = "LAST WEEK, DID YOU DO ANY"             
	PUBUS1    = "LAST WEEK, DID YOU DO ANY"             
	PUBUS2OT  = "DO YOU RECEIVE ANY PAYMENTS"           
	PUBUSCK1  = "CHECK ITEM 1"                          
	PUBUSCK2  = "CHECK ITEM 2"                          
	PUBUSCK3  = "CHECK ITEM 3"                          
	PUBUSCK4  = "CHECK ITEM 4"                          
	PURETOT   = "RETIREMENT STATUS (LAST"               
	PUDIS     = "DISABILITY STATUS (LAST"               
	PERET1    = "DO YOU CURRENTLY WANT A"               
	PUDIS1    = "DOES YOUR DISABILITY"                  
	PUDIS2    = "DO YOU HAVE A DISABILITY"              
	PUABSOT   = "LAST WEEK DID YOU HAVE"                
	PULAY     = "LAST WEEK, WERE YOU ON"                
	PEABSRSN  = "WHAT IS THE MAIN REASON"               
	PEABSPDO  = "ARE YOU BEING PAID BY"                 
	PEMJOT    = "DO YOU HAVE MORE THAN ONE JOB?"        
	PEMJNUM   = "ALTOGETHER, HOW MANY JOBS"             
	PEHRUSL1  = "HOW MANY HOURS PER WEEK"               
	PEHRUSL2  = "HOW MANY HOURS PER WEEK"               
	PEHRFTPT  = "DO YOU USUALLY WORK"                   
	PEHRUSLT  = "SUM OF HRUSL1 AND HRUSL2."             
	PEHRWANT  = "DO YOU WANT TO WORK A"                 
	PEHRRSN1  = "WHAT IS YOUR MAIN REASON"              
	PEHRRSN2  = "WHAT IS THE MAIN REASON"               
	PEHRRSN3  = "WHAT IS THE MAIN REASON YOU"           
	PUHROFF1  = "LAST WEEK, DID YOU LOSE"               
	PUHROFF2  = "HOW MANY HOURS DID"                    
	PUHROT1   = "LAST WEEK, DID YOU WORK"               
	PUHROT2   = "HOW MANY ADDITIONAL HOURS"             
	PEHRACT1  = "LAST WEEK, HOW MANY HOURS"             
	PEHRACT2  = "LAST WEEK, HOW MANY HOURS"             
	PEHRACTT  = "SUM OF PEHRACT1 AND PEHRACT2."         
	PEHRAVL   = "LAST WEEK, COULD YOU HAVE"             
	PULBHSEC  = "TOTAL SECONDS TO COMPLETE"             
	PUHRCK1   = "CHECK ITEM 1"                          
	PUHRCK2   = "CHECK ITEM 2"                          
	PUHRCK3   = "CHECK ITEM 3"                          
	PUHRCK4   = "CHECK ITEM 4"                          
	PUHRCK5   = "CHECK ITEM 5"                          
	PUHRCK6   = "CHECK ITEM 6"                          
	PUHRCK7   = "CHECK ITEM 7"                          
	PUHRCK12  = "CHECK ITEM 12"                         
	PULAYDTH  = "AS YOUR EMPLOYER GIVEN YOU A"          
	PULAY6M   = "HAVE YOU BEEN GIVEN ANY"               
	PELAYAVL  = "COULD YOU HAVE RETURNED"               
	PULAYAVR  = "WHY IS THAT?"                          
	PELAYLK   = "EVEN THOUGH YOU ARE TO"                
	PELAYDUR  = "DURATION OF LAYOFF"                    
	PELAYFTO  = "FT/PT STATUS OF JOB FROM"              
	PULAYCK1  = "CHECK ITEM 1"                          
	PULAYCK2  = "CHECK ITEM 2"                          
	PULAYCK3  = "Check item 3 filter for"               
	PULK      = "HAVE YOU BEEN DOING"                   
	PELKM1    = "WHAT ARE ALL OF THE THINGS"            
	PULKM2    = "ANYTHING ELSE? (SECOND ANSWER)"        
	PULKM3    = "SAME AS PULKM2 ( THIRD ANSWER)"        
	PULKM4    = "SAME AS PULKM2 (FOURTH ANSWER)"        
	PULKM5    = "SAME AS PULKM2 (FIFTH ANSWER)"         
	PULKM6    = "SAME AS PULKM2 (SIXTH ANSWER)"         
	PULKDK1   = "YOU SAID YOU HAVE BEEN"                
	PULKDK2   = "ANYTHING ELSE? (SECOND ANSWER)"        
	PULKDK3   = "SAME AS PULKDK2 (THIRD ANSWER)"        
	PULKDK4   = "SAME AS PULKDK2 (FOURTH ANSWER)"       
	PULKDK5   = "SAME AS PULKDK2 ( FIFTH ANSWER)"       
	PULKDK6   = "SAME AS PULKDK2"                       
	PULKPS1   = "CAN YOU TELL ME MORE ABOUT"            
	PULKPS2   = "ANYTHING ELSE? (SECOND ANSWER)"        
	PULKPS3   = "SAME AS PULKPS2 (THIRD ANSWER)"        
	PULKPS4   = "SAME AS PULKPS2 (FOURTH ANSWER)"       
	PULKPS5   = "SAME AS PULKPS2 (FIFTH ANSWER)"        
	PULKPS6   = "SAME AS PULKPS2 (SIXTH ANSWER)"        
	PELKAVL   = "LAST WEEK, COULD YOU HAVE"             
	PULKAVR   = "WHY IS THAT?"                          
	PELKLL1O  = "BEFORE YOU STARTED LOOKING"            
	PELKLL2O  = "DID YOU LOSE OR QUIT THAT"             
	PELKLWO   = "WHEN LAST WORKED"                      
	PELKDUR   = "DURATION OF JOB SEEKING"               
	PELKFTO   = "FT/PT STATUS OF JOBSEEKER"             
	PEDWWNTO  = "DO YOU CURRENTLY WANT A"               
	PEDWRSN   = "WHAT IS THE MAIN REASON"               
	PEDWLKO   = "DID YOU LOOK FOR WORK AT"              
	PEDWWK    = "DID YOU ACTUALLY WORK AT"              
	PEDW4WK   = "DID YOU DO ANY OF THIS WORK"           
	PEDWLKWK  = "SINCE YOU LEFT THAT JOB"               
	PEDWAVL   = "LAST WEEK, COULD YOU HAVE"             
	PEDWAVR   = "WHY IS THAT?"                          
	PUDWCK1   = "SCREEN FOR DISCOURAGED WORKERS"        
	PUDWCK2   = "SCREEN FOR DISABLED"                   
	PUDWCK3   = "FILTER FOR RETIRED"                    
	PUDWCK4   = "FILTER FOR PASSIVE JOB SEEKERS"        
	PUDWCK5   = "FILTER FOR PASSIVE JOB SEEKERS"        
	PEJHWKO   = "HAVE YOU WORKED AT A JOB OR"           
	PUJHDP1O  = "DID YOU DO ANY OF THIS WORK"           
	PEJHRSN   = "WHAT IS THE MAIN REASON YOU"           
	PEJHWANT  = "DO YOU INTEND TO LOOK FOR"             
	PUJHCK1   = "FILTER FOR OUTGOING ROTATIONS"         
	PUJHCK2   = "FILTER FOR PERSONS GOING"              
	PRABSREA  = "REASON NOT AT WORK AND PAY"            
	PRCIVLF   = "CIVILIAN LABOR FORCE"                  
	PRDISC    = "DISCOURAGED WORKER RECODE"             
	PREMPHRS  = "REASON NOT AT WORK OR HOURS AT"        
	PREMPNOT  = "MLR - EMPLOYED, UNEMPLOYED,"           
	PREXPLF   = "EXPERIENCED LABOR FORCE"               
	PRFTLF    = "FULL TIME LABOR FORCE"                 
	PRHRUSL   = "USUAL HOURS WORKED WEEKLY"             
	PRJOBSEA  = "JOB SEARCH RECODE"                     
	PRPTHRS   = "AT WORK 1-34 BY HOURS AT WORK"         
	PRPTREA   = "DETAILED REASON FOR PART-TIME"         
	PRUNEDUR  = "DURATION OF UNEMPLOYMENT FOR"          
	PRUSFTPT  = "USUAL FULLTIME/PARTTIME STATUS"        
	PRUNTYPE  = "REASON FOR UNEMPLOYMENTU"              
	PRWKSCH   = "LABOR FORCE BY TIME WORKED OR"         
	PRWKSTAT  = "FULL/PART-TIME WORK STATUS"            
	PRWNTJOB  = "NILF RECODE - WANT A JOB OR"           
	PUJHCK3   = "JOB HISTORY CHECK ITEM"                
	PUJHCK4   = "SCREEN FOR DEPENDENT NILF"             
	PUJHCK5   = "SCREEN FOR DEPENDENT NILF"             
	PUIODP1   = "LAST MONTH, IT WAS REPORTED"           
	PUIODP2   = "HAVE THE USUAL ACTIVITIES AND"         
	PUIODP3   = "LAST MONTH YOU WERE REPORTED"          
	PEIO1COW  = "INDIVIDUAL CLASS OF WORKER"            
	PUIO1MFG  = "IS THIS BUSINESS OR"                   
	PEIO1ICD  = "INDUSTRY CODE FOR PRIMARY JOB"         
	PEIO1OCD  = "OCCUPATION CODE FOR PRIMARY JOB."      
	PEIO2COW  = "INDIVIDUAL CLASS OF WORKER"            
	PUIO2MFG  = "IS THIS BUSINESS OR"                   
	PEIO2ICD  = "INDUSTRY CODE FOR SECOND JOB."         
	PEIO2OCD  = "OCCUPATION CODE FOR SECOND JOB."       
	PUIOCK1   = "I & O CHECK ITEM 1 SCREEN FOR"         
	PUIOCK2   = "I & O CHECK ITEM 2 SCREEN FOR"         
	PUIOCK3   = "I & O CHECK ITEM 3"                    
	PRIOELG   = "INDUSTRY AND OCCUPATION"               
	PRAGNA    = "AGRICULTURE/NON-AGRICULTURE"           
	PRCOW1    = "CLASS OF WORKER RECODE - JOB 1"        
	PRCOW2    = "CLASS OF WORKER RRECODE - JOB 2"       
	PRCOWPG   = "COW - PRIVATE OR GOVERNMENT"           
	PRDTCOW1  = "DETAILED CLASS OF WORKER"              
	PRDTCOW2  = "DETAILED CLASS OF WORKER"              
	PRDTIND1  = "DETAILED INDUSTRY RECODE - JOB 1"      
	PRDTIND2  = "DETAILED INDUSTRY RECODE - JOB 2"      
	PRDTOCC1  = "DETAILED OCCUPATION RECODE -"          
	PRDTOCC2  = "DETAILED OCCUPATION RECODE"            
	PREMP     = "EMPLOYED PERSONS (NON-FARM &"          
	PRMJIND1  = "MAJOR INDUSTRY RECODE - JOB 1"         
	PRMJIND2  = "MAJOR INDUSTRY RECODE - JOB 2"         
	PRMJOCC1  = "MAJOR OCCUPATION RECODE - JOB 1"       
	PRMJOCC2  = "MAJOR OCCUPATION RECODE - JOB 2"       
	PRMJOCGR  = "MAJOR OCCUPATION CATEGORIES"           
	PRNAGPWS  = "NON-AGRICULTURE, PRIVATE WAGE"         
	PRNAGWS   = "NON-AGRICULTURE WAGE AND SALARY"       
	PRSJMJ    = "SINGLE/MULTIPLE JOBHOLDER"             
	PRERELG   = "EARNINGS ELIGIBILITY FLAG"             
	PEERNUOT  = "DO YOU USUALLY RECEIVE"                
	PEERNPER  = "PERIODICITY"                           
	PEERNRT   = "(EVEN THOUGH YOU TOLD ME IT"           
	PEERNHRY  = "HOURLY/NONHOURLY STATUS"               
	PUERNH1C  = "WHAT IS YOUR HOURLY RATE OF"           
	PEERNH2   = "(EXCLUDING OVERTIME PAY, TIPS"         
	PEERNH1O  = "OUT VARIABLE FOR HOURLY RATE OF"       
	PRERNHLY  = "RECODE FOR HOURLY RATE 2 IMPLIED"      
	PTHR      = "HOURLY PAY - TOP CODE"                 
	PEERNHRO  = "USUAL HOURS"                           
	PRERNWA   = "WEEKLY EARNINGS RECODE"                
	PTWK      = "WEEKLY EARNINGS - TOP CODE"            
	PEERNVR1  = "I HAVE ESTIMATED YOUR"                 
	PEERNVR3  = "I HAVE ESTIMATED YOUR"                 
	PEERN     = "CALCULATED WEEKLY OVERTIME"            
	PUERN2    = "CALCULATED WEEKLY OVERTIME"            
	PTOT      = "WEEKLY OVERTIME AMOUNT -"              
	PUERNVR4  = "I HAVE RECORDED YOUR TOTAL"            
	PEERNWKP  = "HOW MANY WEEKS A YEAR DO"              
	PEERNLAB  = "ON THIS JOB, ARE YOU A"                
	PEERNCOV  = "ON THIS JOB ARE YOU COVERED BY"        
	PENLFJH   = "WHEN DID YOU LAST WORK AT A"           
	PENLFRET  = "ARE YOU RETIRED FROM A JOB"            
	PENLFACT  = "WHAT BEST DESCRIBES YOUR"              
	PUNLFCK1  = "NOT IN LABOR FORCE"                    
	PUNLFCK2  = "NOT IN LABOR FORCE CHECK ITEM - 2"     
	PESCHENR  = "LAST WEEK, WERE YOU ENROLLED I"        
	PESCHFT   = "ARE YOU ENROLLED IN SCHOOL AS A)"      
	PESCHLVL  = "WOULD THAT BE HIGH SCHOOL,"            
	PRNLFSCH  = "NLF ACTIVITY - IN SCHOOL OR"           
	PWFMWGT   = "FAMILY WEIGHT (4 IMPLIED"              
	PWLGWGT   = "LONGITUDINAL WEIGHT (4 IMPLIED"        
	PWORWGT   = "OUTGOING ROTATION WEIGHT"              
	PWSSWGT   = "FINAL WEIGHT (4 IMPLIED"               
	PWVETWGT  = "VETERANS WEIGHT 4 IMPLIED"             
	PRWERNAL  = "ALLOCATION FLAG WEEKLY"                
	PRHERNAL  = "ALLOCATION FLAG HOURLY EARNINGS"       
	HXTENURE  = "ALLOCATION FLAG"                       
	HXHOUSUT  = "ALLOCATION FLAG"                       
	HXTELHHD  = "ALLOCATION FLAG"                       
	HXTELAVL  = "ALLOCATION FLAG"                       
	HXPHONEO  = "ALLOCATION FLAG"                       
	PXINUSYR  = "ALLOCATION FLAG"                       
	PXRRP     = "ALLOCATION FLAG"                       
	PXPARENT  = "ALLOCATION FLAG"                       
	PXAGE     = "ALLOCATION FLAG"                       
	PXMARITL  = "ALLOCATION FLAG"                       
	PXSPOUSE  = "ALLOCATION FLAG"                       
	PXSEX     = "ALLOCATION FLAG"                       
	PXAFWHEN  = "ALLOCATION FLAG"                       
	PXAFNOW   = "ALLOCATION FLAG"                       
	PXEDUCA   = "ALLOCATION FLAG"                       
	PXRACE    = "ALLOCATION FLAG"                       
	PXNATVTY  = "ALLOCATION FLAG"                       
	PXMNTVTY  = "ALLOCATION FLAG"                       
	PXFNTVTY  = "ALLOCATION FLAG"                       
	PXORIGIN  = "ALLOCATION FLAG"                       
	PXMLR     = "ALLOCATION FLAG"                       
	PXRET1    = "ALLOCATION FLAG"                       
	PXABSRSN  = "ALLOCATION FLAG"                       
	PXABSPDO  = "ALLOCATION FLAG"                       
	PXMJOT    = "ALLOCATION FLAG"                       
	PXMJNUM   = "ALLOCATION FLAG"                       
	PXHRUSL1  = "ALLOCATION FLAG"                       
	PXHRUSL2  = "ALLOCATION FLAG"                       
	PXHRFTPT  = "ALLOCATION FLAG"                       
	PXHRUSLT  = "ALLOCATION FLAG"                       
	PXHRWANT  = "ALLOCATION FLAG"                       
	PXHRRSN1  = "ALLOCATION FLAG"                       
	PXHRRSN2  = "ALLOCATION FLAG"                       
	PXHRACT1  = "ALLOCATION FLAG"                       
	PXHRACT2  = "ALLOCATION FLAG"                       
	PXHRACTT  = "ALLOCATION FLAG"                       
	PXHRRSN3  = "ALLOCATION FLAG"                       
	PXHRAVL   = "ALLOCATION FLAG"                       
	PXLAYAVL  = "ALLOCATION FLAG"                       
	PXLAYLK   = "ALLOCATION FLAG"                       
	PXLAYDUR  = "ALLOCATION FLAG"                       
	PXLAYFTO  = "ALLOCATION FLAG"                       
	PXLKM1    = "ALLOCATION FLAG"                       
	PXLKAVL   = "ALLOCATION FLAG"                       
	PXLKLL1O  = "ALLOCATION FLAG"                       
	PXLKLL2O  = "ALLOCATION FLAG"                       
	PXLKLWO   = "ALLOCATION FLAG"                       
	PXLKDUR   = "ALLOCATION FLAG"                       
	PXLKFTO   = "ALLOCATION FLAG"                       
	PXDWWNTO  = "ALLOCATION FLAG"                       
	PXDWRSN   = "ALLOCATION FLAG"                       
	PXDWLKO   = "ALLOCATION FLAG"                       
	PXDWWK    = "ALLOCATION FLAG"                       
	PXDW4WK   = "ALLOCATION FLAG"                       
	PXDWLKWK  = "ALLOCATION FLAG"                       
	PXDWAVL   = "ALLOCATION FLAG"                       
	PXDWAVR   = "ALLOCATION FLAG"                       
	PXJHWKO   = "ALLOCATION FLAG"                       
	PXJHRSN   = "ALLOCATION FLAG"                       
	PXJHWANT  = "ALLOCATION FLAG"                       
	PXIO1COW  = "ALLOCATION FLAG"                       
	PXIO1ICD  = "ALLOCATION FLAG"                       
	PXIO1OCD  = "ALLOCATION FLAG"                       
	PXIO2COW  = "ALLOCATION FLAG"                       
	PXIO2ICD  = "ALLOCATION FLAG"                       
	PXIO2OCD  = "ALLOCATION FLAG"                       
	PXERNUOT  = "ALLOCATION FLAG"                       
	PXERNPER  = "ALLOCATION FLAG"                       
	PXERNH1O  = "ALLOCATION FLAG"                       
	PXERNHRO  = "ALLOCATION FLAG"                       
	PXERN     = "ALLOCATION FLAG"                       
	PXERNVR1  = "ALLOCATION FLAG"                       
	PXERNVR3  = "ALLOCATION FLAG"                       
	PXERNWKP  = "ALLOCATION FLAG"                       
	PXERNRT   = "ALLOCATION FLAG"                       
	PXERNHRY  = "ALLOCATION FLAG"                       
	PXERNH2   = "ALLOCATION FLAG"                       
	PXERNLAB  = "ALLOCATION FLAG"                       
	PXERNCOV  = "ALLOCATION FLAG"                       
	PXNLFJH   = "ALLOCATION FLAG"                       
	PXNLFRET  = "ALLOCATION FLAG"                       
	PXNLFACT  = "ALLOCATION FLAG"                       
	PXSCHENR  = "ALLOCATION FLAG"                       
	PXSCHFT   = "ALLOCATION FLAG"                       
	PXSCHLVL  = "ALLOCATION FLAG"                       
	PESSCHOL  = "Is ... attending or enrolled in regula"
	PEPUBLIC  = "Is ... enrolled in public or private"  
	PEGRADE   = "What grade or year is ... attending?"  
	PEFULL    = "Is ... attending college full-time or" 
	PESTYPE   = "Is this a 2-year or a 4-year college o"
	PEVOCA    = "Excluding (regular college courses and"
	PELASTYR  = "Was ... attending or enrolled in a"    
	PELASTGD  = "What grade or year was ... attending l"
	PENOTENR  = "Why is ... not attending school?"      
	PEYRATT   = "In what calendar year did ... last att"
	PEYRDEG   = "In what calendar year did ... receive" 
	PEYRDIP   = "In what calendar year did ... complete"
	PEGED     = "Did ... complete high school by means "
	PEAMOUNT  = "What is the amount being paid for ...'"
	PEAMTPER  = "Is this amount paid per month, per"    
	PESUSFPX  = "Who reported for this person?"         
	PESCH35   = "Is ... attending or enrolled in nurse"
	PESCH614  = "Is ... attending or enrolled in regula"
	PECNOTEN  = "Why is ... not attending school?"      
	PECHPUB   = "Is ... enrolled in public or private"  
	PECHGRDE  = "What grade or year is ... attending? ("
	PES56     = "Was ... attending or enrolled in a"    
	PECHCATH  = "Is it a Catholic school?"              
	PECHAMNT  = "What is the amount being paid for ...'"
	PESCU1    = "Is there a computer in this household?"
	PESCU2    = "How many computers are there in this"  
	PESCU3    = "In what year was the [/newest] compute"
	PESCU4A   = "Which of the following items does the" 
	PESCU4B   = "Which of the following items does the" 
	PESCU4C   = "Which of the following items does the" 
	PESCU4D   = "Which of the following items does the" 
	PESCU4E   = "Which of the following items does the" 
	PESCU4F   = "Which of the following items does the" 
	PESCU4G   = "Which of the following items does the" 
	PESCU4H   = "Which of the following items does the" 
	PESCU4I   = "Which of the following items does the" 
	PESCU4J   = "Which of the following items does the" 
	PESCU4K   = "Which of the following items does the" 
	PESCU4L   = "Which of the following items does the" 
	PESAWAY1  = "Is ... living here or away at school?" 
	PESAWAY2  = "Does ... have a computer at his/her"   
	PESCU5    = "Does ... directly use a computer at ho"
	PESCU6A   = "At home, what does ... use the compute"
	ESCU6B    = "At home, what does ... use the compute"
	PESCU6C   = "At home, what does ... use the compute"
	PESCU6D   = "At home, what does ... use the compute"
	PESCU6E   = "At home, what does ... use the compute"
	PESCU6F   = "At home, what does ... use the compute"
	PESCU6G   = "At home, what does ... use the compute"
	PESCU6H   = "At home, what does ... use the compute"
	PESCU6I   = "At home, what does ... use the compute"
	PESCU6J   = "At home, what does ... use the compute"
	PESCU6K   = "At home, what does ... use the compute"
	PESCU6L   = "At home, what does ... use the compute"
	PESCU6M   = "At home, what does ... use the compute"
	PESCU6N   = "At home, what does ... use the compute"
	PESCU7    = "During the last month, on average, how"
	PESCU8    = "Does ... directly use a computer at wo"
	PESCU9A   = "At work, what does ... use the compute"
	PESCU9B   = "At work, what does ... use the compute"
	PESCU9C   = "At work, what does ... use the compute"
	PESCU9D   = "At work, what does ... use the compute"
	PESCU9E   = "At work, what does ... use the compute"
	PESCU9F   = "At work, what does ... use the compute"
	PESCU9G   = "At work, what does ... use the compute"
	PESCU9H   = "At work, what does ... use the compute"
	PESCU9I   = "At work, what does ... use the compute"
	PESCU9J   = "At work, what does ... use the compute"
	PESCU9K   = "At work, what does ... use the compute"
	PESCU9L   = "At work, what does ... use the compute"
	PESCU9M   = "At work, what does ... use the compute"
	PESCU9N   = "At work, what does ... use the compute"
	PESCU9O   = "At work, what does ... use the compute"
	PESCU10   = "Does ... directly use the computer at" 
	PESCU11   = "How frequently does ... use the comput"
	PESCU12A  = "Does ... use the INTERNET (or another "
	PESCU12B  = "Does ... use the INTERNET (or another "
	PESCU12C  = "Does ... use the INTERNET (or another "
	PESCU13A  = "What does ... use the INTERNET for at" 
	PESCU13B  = "What does ... use the INTERNET for at" 
	PESCU13C  = "What does ... use the INTERNET for at" 
	PESCU13D  = "What does ... use the INTERNET for at" 
	PESCU13E  = "What does ... use the INTERNET for at" 
	PESCU13F  = "What does ... use the INTERNET for at" 
	PESCU13G  = "What does ... use the INTERNET for at" 
	PESCU13H  = "What does ... use the INTERNET for at" 
	PESCU13I  = "What does ... use the INTERNET for at" 
	PESCU14   = "Who reported for this person?"         
	PESCHCU1  = "Does ... directly use a computer at"   
	PXPUBLIC  = "Allocation flag for PEPUBLIC"          
	PXGRADE   = "Allocation flag for PEGRADE"           
	PXFULL    = "Allocation flag for PEFULL"            
	PXSTYPE   = "Allocation flag for PESTYPE"           
	PXVOCA    = "Allocation flag for PEVOCA"            
	PXLASTYR  = "Allocation flag for PELASTYR"          
	PXLASTGD  = "Allocation flag for PELASTGD"          
	PXYRDEG   = "Allocation flag for PEYRDEG"           
	PXYRATT   = "Allocation flag for PEYRATT"           
	PXYRDIP   = "Allocation flag for PEYRDIP"           
	PXGED     = "Allocation flag for PEGED"             
	PXSCU1    = "Allocation flag for PESCU1"            
	PXSCU2    = "Allocation flag for PESCU2"            
	PXSCU3    = "Allocation flag for PESCU3"            
	PXSCU4    = "Allocation flag for PESCU4"            
	PXSAWAY1  = "Allocation flag for PESAWAY1"          
	PXSAWAY2  = "Allocation flag for PESAWAY2"          
	PXSCU5    = "Allocation flag for PESCU5"            
	PXSCU6    = "Allocation flag for PESCU6"            
	PXSCU7    = "Allocation flag for PESCU7"            
	PXSCU8    = "Allocation flag for PESCU8"            
	PXSCU9    = "Allocation flag for PESCU9"            
	PXSCU10   = "Allocation flag for PESCU10"           
	PXSCU11   = "Allocation flag for PESCU11"           
	PXSCU12A  = "Allocation flag for PESCU12A"          
	PXSCU12B  = "Allocation flag for PESCU12B"          
	PXSCU12C  = "Allocation flag for PESCU12C"          
	PXSCU13   = "Allocation flag for PESCU13"           
	PXSCH35   = "Allocation flag for PESCH35"           
	PXSCH614  = "Allocation flag for PESCH614"          
	PXCHPUB   = "Allocation flag for PECHPUB"           
	PXCHGRDE  = "Allocation flag for PECHGRDE"          
	PXS56     = "Allocation flag for PES56"             
	PXS57     = "Allocation flag for PES57"             
	PXSCHCU1  = "Allocation flag for PESCHCU1"          
	PXSCHCU2  = "Allocation flag for PESCHCU2"          
	PXSCHCU3  = "Allocation flag for PESCHCU3"          
	PXSCCU4   = "Allocation flag for PESCCU4"           
	PXSCHCU5  = "Allocation flag for PESCHCU5"          
	PXSCHCU6  = "Allocation flag for PESCHCU6"          
	PXSCHCU7  = "Allocation flag for PESCHCU7"          
	PXSCCU8   = "Allocation flag for PESCCU8"           
;

/*
FORMAT
	HUINTTYP   HUINTTYP. 
	HUFINAL    HUFINAL.  
	HUSPNISH   HUSPNISH. 
	HETENURE   HETENURE. 
	HEHOUSUT   HEHOUSUT. 
	HETELHHD   HETELHHD. 
	HETELAVL   HETELAVL. 
	HEPHONEO   HEPHONEO. 
	HUFAMINC   HUFAMINC. 
	HUTYPEA    HUTYPEA.  
	HUTYPB     HUTYPB.   
	HUTYPC     HUTYPC.   
	HRINTSTA   HRINTSTA. 
	HRHTYPE    HRHTYPE.  
	HRLONGLK   HRLONGLK. 
	HUBUS      HUBUS.    
	GEREG      GEREG.    
	GESTCEN    GESTCEN.  
	GESTFIPS   GESTFIPS. 
	GECMSA     GECMSA.   
	GEMSA      GEMSA.    
	GECO       GECO.     
	GEMSAST    GEMSAST.  
	GEMETSTA   GEMETSTA. 
	GEINDVCC   GEINDVCC. 
	GEMSASZ    GEMSASZ.  
	GECMSASZ   GECMSASZ. 
	PROLDRRP   PROLDRRP. 
	PUPELIG    PUPELIG.  
	PERRP      PERRP.    
	PEPARENT   PEPARENT. 
	PTAGE      PTAGE.    
	PEMARITL   PEMARITL. 
	PESPOUSE   PESPOUSE. 
	PESEX      PESEX.    
	PUAFEVER   PUAFEVER. 
	PEAFWHEN   PEAFWHEN. 
	PEAFNOW    PEAFNOW.  
	PEEDUCA    PEEDUCA.  
	PERACE     PERACE.   
	PRORIGIN   PRORIGIN. 
	PUCHINHH   PUCHINHH. 
	PURELFLG   PURELFLG. 
	PRFAMNUM   PRFAMNUM. 
	PRFAMREL   PRFAMREL. 
	PRFAMTYP   PRFAMTYP. 
	PRHSPNON   PRHSPNON. 
	PRMARSTA   PRMARSTA. 
	PRPERTYP   PRPERTYP. 
	PENATVTY   PENATVTY. 
	PEMNTVTY   PEMNTVTY. 
	PEFNTVTY   PEFNTVTY. 
	PRCITSHP   PRCITSHP. 
	PRINUSYR   PRINUSYR. 
	PUSLFPRX   PUSLFPRX. 
	PEMLR      PEMLR.    
	PUWK       PUWK.     
	PUBUS1     PUBUS1L.  
	PUBUS2OT   PUBUS2OT. 
	PUBUSCK1   PUBUSCKA. 
	PUBUSCK2   PUBUSCKB. 
	PUBUSCK3   PUBUSCKC. 
	PUBUSCK4   PUBUSCKD. 
	PURETOT    PURETOT.  
	PUDIS      PUDIS.    
	PERET1     PERET1L.  
	PUDIS1     PUDIS1L.  
	PUDIS2     PUDIS2L.  
	PUABSOT    PUABSOT.  
	PULAY      PULAY.    
	PEABSRSN   PEABSRSN. 
	PEABSPDO   PEABSPDO. 
	PEMJOT     PEMJOT.   
	PEMJNUM    PEMJNUM.  
	PEHRUSL1   PEHRUSLA. 
	PEHRUSL2   PEHRUSLB. 
	PEHRFTPT   PEHRFTPT. 
	PEHRUSLT   PEHRUSLT. 
	PEHRWANT   PEHRWANT. 
	PEHRRSN1   PEHRRSNA. 
	PEHRRSN2   PEHRRSNB. 
	PEHRRSN3   PEHRRSNC. 
	PUHROFF1   PUHROFFA. 
	PUHROT1    PUHROT1L. 
	PEHRAVL    PEHRAVL.  
	PUHRCK1    PUHRCK1L. 
	PUHRCK2    PUHRCK2L. 
	PUHRCK3    PUHRCK3L. 
	PUHRCK4    PUHRCK4L. 
	PUHRCK5    PUHRCK5L. 
	PUHRCK6    PUHRCK6L. 
	PUHRCK7    PUHRCK7L. 
	PUHRCK12   PUHRCK1B. 
	PULAYDTH   PULAYDTH. 
	PULAY6M    PULAY6M.  
	PELAYAVL   PELAYAVL. 
	PULAYAVR   PULAYAVR. 
	PELAYLK    PELAYLK.  
	PELAYFTO   PELAYFTO. 
	PULAYCK1   PULAYCKA. 
	PULAYCK2   PULAYCKB. 
	PULAYCK3   PULAYCKC. 
	PULK       PULK.     
	PELKM1     PELKM1L.  
	PULKM2     PULKM2L.  
	PULKM3     PULKM3L.  
	PULKM4     PULKM4L.  
	PULKM5     PULKM5L.  
	PULKM6     PULKM6L.  
	PULKDK1    PULKDK1L. 
	PULKDK2    PULKDK2L. 
	PULKDK3    PULKDK3L. 
	PULKDK4    PULKDK4L. 
	PULKDK5    PULKDK5L. 
	PULKDK6    PULKDK6L. 
	PULKPS1    PULKPS1L. 
	PULKPS2    PULKPS2L. 
	PULKPS3    PULKPS3L. 
	PULKPS4    PULKPS4L. 
	PULKPS5    PULKPS5L. 
	PULKPS6    PULKPS6L. 
	PELKAVL    PELKAVL.  
	PULKAVR    PULKAVR.  
	PELKLL1O   PELKLL1O. 
	PELKLL2O   PELKLL2O. 
	PELKLWO    PELKLWO.  
	PELKFTO    PELKFTO.  
	PEDWWNTO   PEDWWNTO. 
	PEDWRSN    PEDWRSN.  
	PEDWLKO    PEDWLKO.  
	PEDWWK     PEDWWK.   
	PEDW4WK    PEDW4WK.  
	PEDWLKWK   PEDWLKWK. 
	PEDWAVL    PEDWAVL.  
	PEDWAVR    PEDWAVR.  
	PUDWCK1    PUDWCK1L. 
	PUDWCK2    PUDWCK2L. 
	PUDWCK3    PUDWCK3L. 
	PUDWCK4    PUDWCK4L. 
	PUDWCK5    PUDWCK5L. 
	PEJHWKO    PEJHWKO.  
	PUJHDP1O   PUJHDP1O. 
	PEJHRSN    PEJHRSN.  
	PEJHWANT   PEJHWANT. 
	PUJHCK1    PUJHCK1L. 
	PUJHCK2    PUJHCK2L. 
	PRABSREA   PRABSREA. 
	PRCIVLF    PRCIVLF.  
	PRDISC     PRDISC.   
	PREMPHRS   PREMPHRS. 
	PREMPNOT   PREMPNOT. 
	PREXPLF    PREXPLF.  
	PRFTLF     PRFTLF.   
	PRHRUSL    PRHRUSL.  
	PRJOBSEA   PRJOBSEA. 
	PRPTHRS    PRPTHRS.  
	PRPTREA    PRPTREA.  
	PRUSFTPT   PRUSFTPT. 
	PRUNTYPE   PRUNTYPE. 
	PRWKSCH    PRWKSCH.  
	PRWKSTAT   PRWKSTAT. 
	PRWNTJOB   PRWNTJOB. 
	PUJHCK3    PUJHCK3L. 
	PUJHCK4    PUJHCK4L. 
	PUJHCK5    PUJHCK5L. 
	PUIODP1    PUIODP1L. 
	PUIODP2    PUIODP2L. 
	PUIODP3    PUIODP3L. 
	PEIO1COW   PEIO1COW. 
	PUIO1MFG   PUIO1MFG. 
	PEIO2COW   PEIO2COW. 
	PUIO2MFG   PUIO2MFG. 
	PUIOCK1    PUIOCK1L. 
	PUIOCK2    PUIOCK2L. 
	PUIOCK3    PUIOCK3L. 
	PRIOELG    PRIOELG.  
	PRAGNA     PRAGNA.   
	PRCOW1     PRCOW1L.  
	PRCOW2     PRCOW2L.  
	PRCOWPG    PRCOWPG.  
	PRDTCOW1   PRDTCOWA. 
	PRDTCOW2   PRDTCOWB. 
	PRDTIND1   PRDTINDA. 
	PRDTIND2   PRDTINDB. 
	PRDTOCC1   PRDTOCCA. 
	PRDTOCC2   PRDTOCCB. 
	PREMP      PREMP.    
	PRMJIND1   PRMJINDA. 
	PRMJIND2   PRMJINDB. 
	PRMJOCC1   PRMJOCCA. 
	PRMJOCC2   PRMJOCCB. 
	PRMJOCGR   PRMJOCGR. 
	PRNAGPWS   PRNAGPWS. 
	PRNAGWS    PRNAGWS.  
	PRSJMJ     PRSJMJ.   
	PRERELG    PRERELG.  
	PEERNUOT   PEERNUOT. 
	PEERNPER   PEERNPER. 
	PEERNRT    PEERNRT.  
	PEERNHRY   PEERNHRY. 
	PTHR       PTHR.     
	PTWK       PTWK.     
	PEERNVR1   PEERNVRA. 
	PEERNVR3   PEERNVRC. 
	PTOT       PTOT.     
	PUERNVR4   PUERNVRD. 
	PEERNLAB   PEERNLAB. 
	PEERNCOV   PEERNCOV. 
	PENLFJH    PENLFJH.  
	PENLFRET   PENLFRET. 
	PENLFACT   PENLFACT. 
	PUNLFCK1   PUNLFCKA. 
	PUNLFCK2   PUNLFCKB. 
	PESCHENR   PESCHENR. 
	PESCHFT    PESCHFT.  
	PESCHLVL   PESCHLVL. 
	PRNLFSCH   PRNLFSCH. 
	PRWERNAL   PRWERNAL. 
	PRHERNAL   PRHERNAL. 
	PESSCHOL   PESSCHOL. 
	PEPUBLIC   PEPUBLIC. 
	PEGRADE    PEGRADE.  
	PEFULL     PEFULL.   
	PESTYPE    PESTYPE.  
	PEVOCA     PEVOCA.   
	PELASTYR   PELASTYR. 
	PELASTGD   PELASTGD. 
	PENOTENR   PENOTENR. 
	PEYRATT    PEYRATT.  
	PEYRDEG    PEYRDEG.  
	PEYRDIP    PEYRDIP.  
	PEGED      PEGED.    
	PEAMOUNT   PEAMOUNT. 
	PEAMTPER   PEAMTPER. 
	PESUSFPX   PESUSFPX. 
	PESCH35    PESCH35L. 
	PESCH614   PESCH61D. 
	PECNOTEN   PECNOTEN. 
	PECHPUB    PECHPUB.  
	PECHGRDE   PECHGRDE. 
	PES56      PES56L.   
	PECHCATH   PECHCATH. 
	PECHAMNT   PECHAMNT. 
	PESCU1     PESCU1L.  
	PESCU2     PESCU2L.  
	PESCU3     PESCU3L.  
	PESCU4A    PESCU4A.  
	PESCU4B    PESCU4B.  
	PESCU4C    PESCU4C.  
	PESCU4D    PESCU4D.  
	PESCU4E    PESCU4E.  
	PESCU4F    PESCU4F.  
	PESCU4G    PESCU4G.  
	PESCU4H    PESCU4H.  
	PESCU4I    PESCU4I.  
	PESCU4J    PESCU4J.  
	PESCU4K    PESCU4K.  
	PESCU4L    PESCU4L.  
	PESAWAY1   PESAWAYA. 
	PESAWAY2   PESAWAYB. 
	PESCU5     PESCU5L.  
	PESCU6A    PESCU6A.  
	ESCU6B     ESCU6B.   
	PESCU6C    PESCU6C.  
	PESCU6D    PESCU6D.  
	PESCU6E    PESCU6E.  
	PESCU6F    PESCU6F.  
	PESCU6G    PESCU6G.  
	PESCU6H    PESCU6H.  
	PESCU6I    PESCU6I.  
	PESCU6J    PESCU6J.  
	PESCU6K    PESCU6K.  
	PESCU6L    PESCU6L.  
	PESCU6M    PESCU6M.  
	PESCU6N    PESCU6N.  
	PESCU7     PESCU7L.  
	PESCU8     PESCU8L.  
	PESCU9A    PESCU9A.  
	PESCU9B    PESCU9B.  
	PESCU9C    PESCU9C.  
	PESCU9D    PESCU9D.  
	PESCU9E    PESCU9E.  
	PESCU9F    PESCU9F.  
	PESCU9G    PESCU9G.  
	PESCU9H    PESCU9H.  
	PESCU9I    PESCU9I.  
	PESCU9J    PESCU9J.  
	PESCU9K    PESCU9K.  
	PESCU9L    PESCU9L.  
	PESCU9M    PESCU9M.  
	PESCU9N    PESCU9N.  
	PESCU9O    PESCU9O.  
	PESCU10    PESCU10L. 
	PESCU11    PESCU11L. 
	PESCU12A   PESCU12A. 
	PESCU12B   PESCU12B. 
	PESCU12C   PESCU12C. 
	PESCU13A   PESCU13A. 
	PESCU13B   PESCU13B. 
	PESCU13C   PESCU13C. 
	PESCU13D   PESCU13D. 
	PESCU13E   PESCU13E. 
	PESCU13F   PESCU13F. 
	PESCU13G   PESCU13G. 
	PESCU13H   PESCU13H. 
	PESCU13I   PESCU13I. 
	PESCU14    PESCU14L. 
	PESCHCU1   PESCHCUA. 
	PXPUBLIC   PXPUBLIC. 
	PXGRADE    PXGRADE.  
	PXFULL     PXFULL.   
	PXSTYPE    PXSTYPE.  
	PXVOCA     PXVOCA.   
	PXLASTYR   PXLASTYR. 
	PXLASTGD   PXLASTGD. 
	PXYRDEG    PXYRDEG.  
	PXYRATT    PXYRATT.  
	PXYRDIP    PXYRDIP.  
	PXGED      PXGED.    
	PXSCU1     PXSCU1L.  
	PXSCU2     PXSCU2L.  
	PXSCU3     PXSCU3L.  
	PXSCU4     PXSCU4L.  
	PXSAWAY1   PXSAWAYA. 
	PXSAWAY2   PXSAWAYB. 
	PXSCU5     PXSCU5L.  
	PXSCU6     PXSCU6L.  
	PXSCU7     PXSCU7L.  
	PXSCU8     PXSCU8L.  
	PXSCU9     PXSCU9L.  
	PXSCU10    PXSCU10L. 
	PXSCU11    PXSCU11L. 
	PXSCU12A   PXSCU12A. 
	PXSCU12B   PXSCU12B. 
	PXSCU12C   PXSCU12C. 
	PXSCU13    PXSCU13L. 
	PXSCH35    PXSCH35L. 
	PXSCH614   PXSCH61D. 
	PXCHPUB    PXCHPUB.  
	PXCHGRDE   PXCHGRDE. 
	PXS56      PXS56L.   
	PXS57      PXS57L.   
	PXSCHCU1   PXSCHCUA. 
	PXSCHCU2   PXSCHCUB. 
	PXSCHCU3   PXSCHCUC. 
	PXSCCU4    PXSCCU4L. 
	PXSCHCU5   PXSCHCUE. 
	PXSCHCU6   PXSCHCUF. 
	PXSCHCU7   PXSCHCUG. 
	PXSCCU8    PXSCCU8L. 
;
*/

run;

/* Select adult civilians, 18-65, working, interviewed */

data a.cpsoct97;
set a.cpsoct97;
if PRPERTYP = 2 and HRINTSTA = 1;
if PEAGE >= 18 and PEAGE <= 65;
if PEMLR >= 1 and PEMLR <= 2;
run;

/* One digit occupations */

/* 1 = Executive, administrative, and managerial 
2 = Professional specialty
3 = Technicians and related support 
4 = Sales
5 = Administrative support including clerical
6 = Private household services
7 = Protective service
8 = Other service
9 = Precision production, craft, and repair
10 = Machine operators, assemblers, inspectors
11 = Transportation and material moving equipment
12 = Handlers, equipment cleaners, helpers, laborers
13 = Farming, forestry, fishing 
14 = Military, unemployed, other */

data a.cpsoct97;
set a.cpsoct97;
rename PEIO1OCD = occ3dig;
run;

data a.cpsoct97;
set a.cpsoct97;
if occ3dig >= 3 and occ3dig <= 37 then consocc = 1;
if occ3dig >= 43 and occ3dig <= 199 then consocc = 2;
if occ3dig >= 203 and occ3dig <= 235 then consocc = 3;
if occ3dig >= 243 and occ3dig <= 285 then consocc = 4;
if occ3dig >= 303 and occ3dig <= 389 then consocc = 5;
if occ3dig >= 403 and occ3dig <= 407 then consocc = 6;
if occ3dig >= 413 and occ3dig <= 427 then consocc = 7;
if occ3dig >= 433 and occ3dig <= 469 then consocc = 8;
if occ3dig >= 503 and occ3dig <= 699 then consocc = 9;
if occ3dig >= 703 and occ3dig <= 799 then consocc = 10;
if occ3dig >= 803 and occ3dig <= 859 then consocc = 11;
if occ3dig >= 863 and occ3dig <= 889 then consocc = 12;
if occ3dig >= 473 and occ3dig <= 499 then consocc = 13;
if occ3dig > 890 then consocc = 14;
run;

data a.cpsoct97;
set a.cpsoct97;
rename consocc = majorocc;
run;

data a.cpsoct97;
set a.cpsoct97;
year = 1997;
run;

* CREATE TIME CONSISTENT OCCUPATION CODE (80 CODE) ;
* OCCUP3 IS CENSUS CODE USED IN CPS AND OCCUP80 IS NEW TIME-CONSISTENT CODE;

data a.cpsoct97;
set a.cpsoct97;
rename occ3dig = occup3;
run;
data a.cpsoct97;
set a.cpsoct97;
IF YEAR LE 1991 THEN DO ;
   OCCUP80 = OCCUP3 ;
   IF OCCUP80 EQ 349 THEN OCCUP80 = 353 ;* COMBINE TELEGRAPH AND COMMUN NEC;
   IF OCCUP80 EQ 369 THEN OCCUP80 = 368 ;* COMBINE WEIGHERS AND SAMPLERS;
   IF OCCUP80 EQ 437 THEN OCCUP80 = 436 ;* COMBINE COOKS AND SHORT ORD COOK;
   IF OCCUP80 EQ 673 THEN OCCUP80 = 674 ;* COMBINE PATTERNMAKE AND MISC APP;
   IF OCCUP80 EQ 794 THEN OCCUP80 = 795 ;* COMBINE MISC HAND WORKERS ;
   IF OCCUP80 EQ 805 THEN OCCUP80 = 804 ;* COMBINE LIGHT AND HEAVY TRCK DRV;
END ; 

IF YEAR GE 1992 THEN DO ;
   IF OCCUP3 LE  15 THEN OCCUP80 = OCCUP3 ;* NO CHANGE ;
   IF OCCUP3 EQ  16 THEN OCCUP80 = 17 ;* CODE CHANGE ;
   IF OCCUP3 EQ  17 THEN OCCUP80 = 19 ;* INC. FOOD MANAG IN MANAGERS MISC;
   IF OCCUP3 EQ  18 THEN OCCUP80 = 16 ;* CODE CHANGE ;
   IF OCCUP3 EQ  19 THEN OCCUP80 = 18 ;* CODE CHANGE ;
   IF OCCUP3 EQ  21 THEN OCCUP80 = 19 ;* INC. SERV MANAG IN MANAGERS MISC;
   IF OCCUP3 EQ  22 THEN OCCUP80 = 19 ;* CODE CHANGE ;
   IF OCCUP3 GE  23 AND  OCCUP3 LE 348 THEN OCCUP80 = OCCUP3 ;* NO CHANGE ;
   IF OCCUP3 EQ 349 THEN OCCUP80 = 353 ;* COMBINE TELEGRAPH AND COMMUN NEC;
   IF OCCUP3 GE 353 AND  OCCUP3 LE 366 THEN OCCUP80 = OCCUP3 ;* NO CHANGE ;
   IF OCCUP3 EQ 368 THEN OCCUP80 = 368 ;* WEIGHERS COMBINATION;
   IF OCCUP3 GE 373 AND  OCCUP3 LE 435 THEN OCCUP80 = OCCUP3 ;* NO CHANGE ;
   IF OCCUP3 EQ 436 THEN OCCUP80 = 436 ;* COOK COMBINATION ;
   IF OCCUP3 GE 438 AND  OCCUP3 LE 460 THEN OCCUP80 = OCCUP3 ;* NO CHANGE ;
   IF OCCUP3 EQ 461 THEN OCCUP80 = 463 ;* CODE CHANGE ;
   IF OCCUP3 EQ 462 THEN OCCUP80 = 464 ;* CODE CHANGE ;
   IF OCCUP3 EQ 463 THEN OCCUP80 = 465 ;* CODE CHANGE ;
   IF OCCUP3 EQ 464 THEN OCCUP80 = 466 ;* CODE CHANGE ;
   IF OCCUP3 EQ 465 THEN OCCUP80 = 467 ;* CODE CHANGE ;
   IF OCCUP3 EQ 466 THEN OCCUP80 = 468 ;* INC FAMILY CHILD CARE IN CHILD CA;
   IF OCCUP3 EQ 467 THEN OCCUP80 = 468 ;* INC EARLY CHILD CARE IN CHILD CAR;
   IF OCCUP3 GE 468 AND  OCCUP3 LE 617 THEN OCCUP80 = OCCUP3;* NO CHANGE ;
   IF OCCUP3 EQ 628 THEN OCCUP80 = 633 ;* CODE CHANGE ;
   IF OCCUP3 GE 634 AND  OCCUP3 LE 669 THEN OCCUP80 = OCCUP3;* NO CHANGE ;
   IF OCCUP3 EQ 674 THEN OCCUP80 = 674 ;* COMBINE PATTERNMAKE AND MISC APP ;
   IF OCCUP3 GE 675 AND  OCCUP3 LE 794 THEN OCCUP80 = OCCUP3;* NO CHANGE ;
   IF OCCUP3 EQ 795 THEN OCCUP80 = 795 ;* COMBINE MISC HAND WORKERS ;
   IF OCCUP3 GE 796 AND  OCCUP3 LE 803 THEN OCCUP80 = OCCUP3;* NO CHANGE ;
   IF OCCUP3 EQ 804 THEN OCCUP80 = 804 ;* COMBINE LIGHT AND HEAVY TRUCK DRV;
   IF OCCUP3 GE 806 AND  OCCUP3 LE 863 THEN OCCUP80 = OCCUP3;* NO CHANGE ;
   IF OCCUP3 EQ 864 THEN OCCUP80 = 863 ;* CODE CHANGE ;
   IF OCCUP3 EQ 865 THEN OCCUP80 = 864 ;* CODE CHANGE ;
   IF OCCUP3 EQ 866 THEN OCCUP80 = 865 ;* CODE CHANGE ;
   IF OCCUP3 EQ 867 THEN OCCUP80 = 866 ;* CODE CHANGE ;
   IF OCCUP3 EQ 868 THEN OCCUP80 = 867 ;* CODE CHANGE ;
   IF OCCUP3 EQ 869 THEN OCCUP80 = 869 ;* NO CHANGE ;
   IF OCCUP3 EQ 874 THEN OCCUP80 = 873 ;* CODE CHANGE ;
   IF OCCUP3 GE 875 THEN OCCUP80 = OCCUP3 ;* NO CHANGE ;
END ;
run;
data a.cpsoct97;
set a.cpsoct97;
rename occup80 = consocc;
run;

/* Industry Indicators */

/* translate 1990 codes into 1980 codes */

data a.cpsoct97;
set a.cpsoct97;
rename PEIO1ICD = IND1990;
run;

data a.cpsoct97;
set a.cpsoct97;
IF IND1990 LE  11 THEN IND1980 = IND1990 ; * NO CHANGE ;
IF IND1990 EQ  12 THEN IND1980 =  20 ;* INCLUDE VET SERV IN AG SERV NEC;
IF IND1990 EQ  20 THEN IND1980 =  21 ;* CODE CHANGE ;
IF IND1990 EQ  30 THEN IND1980 =  20 ;* CODE CHANGE ;
IF IND1990 EQ  31 THEN IND1980 =  30 ;* CODE CHANGE ;
IF IND1990 EQ  32 THEN IND1980 =  31 ;* CODE CHANGE ;             
IF IND1990 GE  40 AND IND1990 LE 449 THEN IND1980 = IND1990 ;* NO CHANGE ;
IF IND1990 EQ 450 THEN IND1980 = 460 ;* CODE CHANGE ;
IF IND1990 EQ 451 THEN IND1980 = 461 ;* CODE CHANGE ;
IF IND1990 EQ 452 THEN IND1980 = 462 ;* CODE CHANGE ;
IF IND1990 GE 453 AND IND1990 LE 622 THEN IND1980 = IND1990 ;* NO CHANGE ;
IF IND1990 EQ 623 THEN IND1980 = 630 ;* CODE CHANGE ;
IF IND1990 EQ 630 THEN IND1980 = 631 ;* CODE CHANGE ;
IF IND1990 EQ 631 THEN IND1980 = 632 ;* CODE CHANGE ;
IF IND1990 EQ 632 THEN IND1980 = 640 ;* INCLUDE APPL. IN APPL AND ETC.;
IF IND1990 EQ 633 THEN IND1980 = 640 ;* INCLUDE RADIO IN APPL AND ETC ;
IF IND1990 EQ 640 THEN IND1980 = 640 ;* INCLUDE MUSIC IN APPL AND ETC.;
IF IND1990 GE 641 AND IND1990 LE 660 THEN IND1980 = IND1990 ;* NO CHANGE ;
IF IND1990 EQ 661 THEN IND1980 = 682 ;* INCLUDE GIFT IN MISC STORES ;
IF IND1990 EQ 662 THEN IND1980 = 661 ;* CODE CHANGE ;
IF IND1990 EQ 663 THEN IND1980 = 662 ;* CODE CHANGE ;
IF IND1990 GE 670 AND IND1990 LE 731 THEN IND1980 = IND1990 ;* NO CHANGE ;
IF IND1990 EQ 732 THEN IND1980 = 740 ;* CODE CHANGE ;
IF IND1990 EQ 740 THEN IND1980 = 741 ;* CODE CHANGE ;
IF IND1990 EQ 741 THEN IND1980 = 742 ;* CODE CHANGE ;
IF IND1990 EQ 742 THEN IND1980 = 750 ;* INCLUDE AUTO RENTAL IN AUTO SERV;
IF IND1990 GE 750 AND IND1990 LE 800 THEN IND1980 = IND1990 ;
IF IND1990 EQ 801 THEN IND1980 = 800 ;* VIDEO RENTAL IN THEATERS ;
IF IND1990 EQ 802 THEN IND1980 = 801 ;* CODE CHANGE ;
IF IND1990 EQ 810 THEN IND1980 = 802 ;* CODE CHANGE ;
IF IND1990 GE 812 AND IND1990 LE 862 THEN IND1980 = IND1990 ;* NO CHANGE ;
IF IND1990 EQ 863 THEN IND1980 = 862 ;* COMBINE CHILD CARE CATEGORIES ;
IF IND1990 GE 870 AND IND1990 LE 872 THEN IND1980 = IND1990 ;* NO CHANGE ;
IF IND1990 EQ 873 THEN IND1980 = 881 ;* INCLUDE LABOR UNIONS IN MEM ORG;
IF IND1990 GE 880 AND IND1990 LE 890 THEN IND1980 = IND1990 ;* NO CHANGE ;
IF IND1990 EQ 891 THEN IND1980 = 730; * MOVE SCIENTIFIC RESEARCH;
IF IND1990 EQ 892 THEN IND1980 = 732 ;* CODE CHANGE ;
IF IND1990 EQ 893 THEN IND1980 = 892 ;* CODE CHANGE ;
IF IND1990 GE 894 THEN IND1980 = IND1990 ; *NO CHANGE ; 
run; 

data a.cpsoct97;
set a.cpsoct97;
rename ind1980 = consind;
rename PESCU8 = compwork;
rename PESCU5 = comphome;
rename PESCU1 = comphh;
run;

/* Create a broader industry category for industry-occupation groups */

/* Majorind categories

	1 = agriculture, forestry, fisheries
	2 = mining
	3 = construction
	4 = nondurable mfg
	5 = durable mfg
	6 = transportation
	7 = communications
	8 = utilities and sanitary services
	9 = wholesale trade
	10 = retail trade
	11 = finance, insurance, real estate
	12 = business and repair services
	13 = private household services
	14 = personal services (except private household)
	15 = entertainment and recreation services
	16 = medical services
	17 = educational services
	18 = social services
	19 = other professional services
	20 = public administration
	21 = other
*/

data a.cpsoct97;
set a.cpsoct97;
if consind >= 10 and consind <= 31 then majorind = 1;
if consind >= 40 and consind <= 50 then majorind = 2;
if consind = 60 then majorind = 3;
if consind >= 100 and consind <= 222 then majorind = 4;
if consind >= 230 and consind <= 392 then majorind = 5;
if consind >= 400 and consind <= 432 then majorind = 6;
if consind >= 440 and consind <= 442 then majorind = 7;
if consind >= 460 and consind <= 472 then majorind = 8;
if consind >= 500 and consind <= 571 then majorind = 9;
if consind >= 580 and consind <= 691 then majorind = 10;
if consind >= 700 and consind <= 712 then majorind = 11;
if consind >= 721 and consind <= 760 then majorind = 12;
if consind = 891 then majorind = 12;
if consind = 761 then majorind = 13;
if consind >= 762 and consind <= 791 then majorind = 14;
if consind >= 800 and consind <= 802 then majorind = 15;
if consind >= 812 and consind <= 840 then majorind = 16;
if consind = 870 then majorind = 16;
if consind >= 842 and consind <= 861 then majorind = 17;
if consind = 862 then majorind = 18;
if consind >= 871 and consind <= 881 then majorind = 18;
if consind = 841 then majorind = 19;
if consind >= 882 and consind <= 890 then majorind = 19;
if consind = 892 then majorind = 19;
if consind >= 900 and consind <= 932 then majorind = 20;
if consind > 990 then majorind = 21;
run;

/* Create variables of interest */

data a.cpsoct97;
set a.cpsoct97;
wght = pwsswgt/10000; /* 4 decimal places here */
compusew = (compwork-2)**2;
compuseh = (comphome-2)**2;
compinhh = (comphh - 2)**2;
female = 0;
nonwhite = 0;
married = 0;
nohs = 0;
somehs = 0;
hs = 0;
somecoll = 0;
coll = 0;
urban = 0;
run;

data a.cpsoct97;
set a.cpsoct97;
if compwork = 9 then compusew = '.';
if comphome = 9 then compuseh = '.';
if comphh = 9 then compinhh = '.';
run;

data a.cpsoct97;
set a.cpsoct97;
if PESEX = 2 then female = 1;
if PERACE > 1 then nonwhite = 1;
if PEMARITL >= 1 and PEMARITL <= 2 then married = 1;
if GEMETSTA = 1 then urban = 1;
if GEMETSTA = 3 then urban = '.'; /* not identified */

if PEEDUCA >= 31 and PEEDUCA <= 34 then nohs = 1;
if PEEDUCA >= 35 and PEEDUCA <= 38 then somehs = 1;
if PEEDUCA = 39 then hs = 1;
if PEEDUCA >= 40 and PEEDUCA <= 42 then somecoll = 1;
if PEEDUCA >= 43 and PEEDUCA <= 46 then coll = 1;
run;

data a.cpsoct97;
set a.cpsoct97;
state = GESTFIPS;
metaread = GEMSA;
hrwage = PEERNH2;
hrsweek = PEERNHRO;
weekwg = PRERNWA/100;
unionmem = 0;
unioncov = 0;
veteran = 0;
run;

data a.cpsoct97;
set a.cpsoct97;
if PEERNLAB = 1 then unionmem = 1;
if PEERNCOV = 1 then unioncov = 1;
if PUAFEVER = 1 then veteran = 1;
run;

/* metropolitan area codes */

data a.cpsoct97;
set a.cpsoct97;
if metaread = 875 then metaread = 5602;
if metaread = 1145 then metaread = 3362;
if metaread = 1305 then metaread = 1310;
if metaread = 2281 then metaread = 6460;
if metaread = 2800 then metaread = 1922;
if metaread = 2960 then metaread = 1602;
if metaread = 3361 then metaread = 3362;
if metaread = 3640 then metaread = 5602;
if metaread = 4160 then metaread = 1123;
if metaread = 4410 then metaread = 5602;
if metaread = 5015 then metaread = 5602;
if metaread = 5190 then metaread = 5602;
if metaread = 5380 then metaread = 5602;
if metaread = 5460 then metaread = 5602;
if metaread = 5660 then metaread = 5602;
if metaread = 5775 then metaread = 7362;
if metaread = 5945 then metaread = 4472;
if metaread = 7361 then metaread = 7362;
if metaread = 7485 then metaread = 7362;
if metaread = 8720 then metaread = 7362;
run;


/* The rest correspond to 1980 and 1990 */

data a.cpsoct97;
set a.cpsoct97;

if metaread = 1120 then metaread = 1123;
if metaread = 1121 then metaread = 1123;
if metaread = 1122 then metaread = 1123;
if metaread = 1123 then metaread = 1123;
if metaread = 1200 then metaread = 1123;
if metaread = 5350 then metaread = 1123;

if metaread = 1280 then metaread = 1280;
if metaread = 1281 then metaread = 1280;

if metaread = 1600 then metaread = 1602;
if metaread = 1601 then metaread = 1602;
if metaread = 1602 then metaread = 1602;
if metaread = 1603 then metaread = 1602;
if metaread = 1604 then metaread = 1602;
if metaread = 3800 then metaread = 1602;

if metaread = 1640 then metaread = 1642;
if metaread = 3200 then metaread = 1642;

if metaread = 80 then metaread = 1692;
if metaread = 1680 then metaread = 1692;
if metaread = 4440 then metaread = 1692; /* note typo in IPUMS */

if metaread = 1920 then metaread = 1922;
if metaread = 1921 then metaread = 1922;

if metaread = 2080 then metaread = 2082;
if metaread = 2081 then metaread = 2082;

if metaread = 440 then metaread = 2162;
if metaread = 2160 then metaread = 2162;

if metaread = 3280 then metaread = 3283;
if metaread = 3281 then metaread = 3283;
if metaread = 3282 then metaread = 3283;
if metaread = 3283 then metaread = 3283;

if metaread = 2920 then metaread = 3362;
if metaread = 3360 then metaread = 3362;
if metaread = 3361 then metaread = 3362;

if metaread = 4480 then metaread = 4472;
if metaread = 4481 then metaread = 4472;
if metaread = 6780 then metaread = 4472;
if metaread = 6781 then metaread = 4472;
if metaread = 8730 then metaread = 4472;

if metaread = 2680 then metaread = 4992;
if metaread = 5000 then metaread = 4992;

if metaread = 5080 then metaread = 5082;
if metaread = 6600 then metaread = 5082;

if metaread = 1160 then metaread = 5602;
if metaread = 1930 then metaread = 5602;
if metaread = 5190 then metaread = 5602;
if metaread = 5600 then metaread = 5602;
if metaread = 5601 then metaread = 5602;
if metaread = 5602 then metaread = 5602;
if metaread = 5603 then metaread = 5602;
if metaread = 5604 then metaread = 5602;
if metaread = 5605 then metaread = 5602;
if metaread = 5760 then metaread = 5602;
if metaread = 5950 then metaread = 5602;
if metaread = 8040 then metaread = 5602;

if metaread = 6160 then metaread = 6162;
if metaread = 8480 then metaread = 6162;
if metaread = 8760 then metaread = 6162;
if metaread = 9160 then metaread = 6162;

if metaread = 6280 then metaread = 6280;
if metaread = 6281 then metaread = 6280;

if metaread = 6440 then metaread = 6442;
if metaread = 6441 then metaread = 6442;

if metaread = 6480 then metaread = 6483;
if metaread = 6481 then metaread = 6483;
if metaread = 6482 then metaread = 6483;

if metaread = 7360 then metaread = 7362;
if metaread = 7361 then metaread = 7362;
if metaread = 7362 then metaread = 7362;
if metaread = 7400 then metaread = 7362;
if metaread = 7480 then metaread = 7362;
if metaread = 7500 then metaread = 7362;

if metaread = 7600 then metaread = 7602;
if metaread = 8200 then metaread = 7602;

/* additional alterations - these update to USA Counties
	definitions and codes */

if metaread = 400 then metaread = 3480;
if metaread = 560 then metaread = 6162;
if metaread = 720 then metaread = 8872;
if metaread = 730 then metaread = 733;
if metaread = 780 then metaread = 3720;
if metaread = 1140 then metaread = 7510;
if metaread = 1150 then metaread = 7602;
if metaread = 1300 then metaread = 3120;
if metaread = 1310 then metaread = 1303;
if metaread = 1521 then metaread = 1520;
if metaread = 2001 then metaread = 2000;
if metaread = 2330 then metaread = 2335;
run;

/* need to reset */

data a.cpsoct97;
set a.cpsoct97;
if metaread = 2320 then metaread = 2330;
run;

data a.cpsoct97;
set a.cpsoct97;
if metaread = 2310 then metaread = 2320;
if metaread = 2600 then metaread = 1123;
if metaread = 2640 then metaread = 2162;
if metaread = 2660 then metaread = 2655;
if metaread = 2970 then metaread = 2975;
if metaread = 2990 then metaread = 2985;
if metaread = 3060 then metaread = 2082;
if metaread = 3121 then metaread = 3120;
if metaread = 3161 then metaread = 3160;
if metaread = 3180 then metaread = 8872;
if metaread = 3590 then metaread = 3600;
if metaread = 3740 then metaread = 1602;
if metaread = 4240 then metaread = 4243;
if metaread = 4410 then metaread = 5602;
if metaread = 4760 then metaread = 1123;
if metaread = 5040 then metaread = 5800;
if metaread = 5320 then metaread = 3000;
if metaread = 5340 then metaread = 5345;
if metaread = 5400 then metaread = 1123;
if metaread = 5460 then metaread = 5602;
if metaread = 5480 then metaread = 5483;
if metaread = 5520 then metaread = 5523;
if metaread = 5640 then metaread = 1840;
if metaread = 5660 then metaread = 5602;
if metaread = 5910 then metaread = 7602;
if metaread = 6010 then metaread = 6015;
if metaread = 6030 then metaread = 920;
if metaread = 6320 then metaread = 6323;
if metaread = 6400 then metaread = 6403;
if metaread = 6450 then metaread = 1123;
if metaread = 6460 then metaread = 5602;
if metaread = 6641 then metaread = 6640;
if metaread = 6761 then metaread = 6760;
if metaread = 6920 then metaread = 6922;
if metaread = 6961 then metaread = 6960;
if metaread = 7080 then metaread = 6442;
if metaread = 7140 then metaread = 1520;
if metaread = 7161 then metaread = 7160;
if metaread = 7561 then metaread = 7560;
if metaread = 8000 then metaread = 8003;
if metaread = 8840 then metaread = 8872;
if metaread = 8880 then metaread = 5483;
if metaread = 9240 then metaread = 1123;

if metaread = 1140 then metaread = 7510; /*just for 1980-90*/
run;

/* keep only variables needed */

data a.cpsoct97;
set a.cpsoct97;
rename PEAGE = age;
run;

data a.cpsoct97;
set a.cpsoct97;
keep age occ3dig compwork comphh comphome consocc consind
	majorind majorocc compusew compuseh compinhh female nonwhite
	married nohs somehs hs somecoll coll urban
	state metaread hrwage weekwg hrsweek unionmem unioncov
	veteran PEEDUCA wght year;
run;


/* Create potential experience using Park (1994) */

data a.cpsoct97;
set a.cpsoct97;
rename PEEDUCA = educ99;
run;

data a.cpsoct97;
set a.cpsoct97;
if educ99 >= 0 and educ99 <=31 
	and female = 0 and nonwhite = 0 then edyrs = 0.32;
if educ99 = 32 
	and female = 0 and nonwhite = 0 then edyrs = 3.19;
if educ99 >= 33 and educ99 <= 34 
	and female = 0 and nonwhite = 0 then edyrs = 7.24;
if educ99 = 35 
	and female = 0 and nonwhite = 0 then edyrs = 8.97;
if educ99 = 36 
	and female = 0 and nonwhite = 0 then edyrs = 9.92;
if educ99 = 37 
	and female = 0 and nonwhite = 0 then edyrs = 10.86;
if educ99 = 38 
	and female = 0 and nonwhite = 0 then edyrs = 11.58;
if educ99 = 39 
	and female = 0 and nonwhite = 0 then edyrs = 11.99;
if educ99 = 40 
	and female = 0 and nonwhite = 0 then edyrs = 13.48;
if educ99 >= 41 and educ99 <= 42 
	and female = 0 and nonwhite = 0 then edyrs = 14.23;
if educ99 = 43 
	and female = 0 and nonwhite = 0 then edyrs = 16.17;
if educ99 = 44 
	and female = 0 and nonwhite = 0 then edyrs = 17.68;
if educ99 = 45 
	and female = 0 and nonwhite = 0 then edyrs = 17.71;
if educ99 = 46 
	and female = 0 and nonwhite = 0 then edyrs = 17.83;

if educ99 >= 0 and educ99 <=31 
	and female = 0 and nonwhite = 1 then edyrs = 0.92;
if educ99 = 32
	and female = 0 and nonwhite = 1 then edyrs = 3.28;
if educ99 >= 33 and educ99 <= 34 
	and female = 0 and nonwhite = 1 then edyrs = 7.04;
if educ99 = 35 
	and female = 0 and nonwhite = 1 then edyrs = 9.02;
if educ99 = 36 
	and female = 0 and nonwhite = 1 then edyrs = 9.91;
if educ99 = 37 
	and female = 0 and nonwhite = 1 then edyrs = 10.9;
if educ99 = 38 
	and female = 0 and nonwhite = 1 then edyrs = 11.41;
if educ99 = 39 
	and female = 0 and nonwhite = 1 then edyrs = 11.98;
if educ99 = 40 
	and female = 0 and nonwhite = 1 then edyrs = 13.57;
if educ99 >= 41 and educ99 <= 42 
	and female = 0 and nonwhite = 1 then edyrs = 14.33;
if educ99 = 43 
	and female = 0 and nonwhite = 1 then edyrs = 16.13;
if educ99 = 44 
	and female = 0 and nonwhite = 1 then edyrs = 17.51;
if educ99 = 45 
	and female = 0 and nonwhite = 1 then edyrs = 17.83;
if educ99 = 46 
	and female = 0 and nonwhite = 1 then edyrs = 18;

if educ99 >= 0 and educ99 <=31 
	and female = 1 and nonwhite = 0 then edyrs = 0.62;
if educ99 = 32 
	and female = 1 and nonwhite = 0 then edyrs = 3.15;
if educ99 >= 33 and educ99 <= 34 
	and female = 1 and nonwhite = 0 then edyrs = 7.23;
if educ99 = 35 
	and female = 1 and nonwhite = 0 then edyrs = 8.99;
if educ99 = 36 
	and female = 1 and nonwhite = 0 then edyrs = 9.95;
if educ99 = 37 
	and female = 1 and nonwhite = 0 then edyrs = 10.87;
if educ99 = 38 
	and female = 1 and nonwhite = 0 then edyrs = 11.73;
if educ99 = 39 
	and female = 1 and nonwhite = 0 then edyrs = 12;
if educ99 = 40 
	and female = 1 and nonwhite = 0 then edyrs = 13.35;
if educ99 >= 41 and educ99 <= 42 
	and female = 1 and nonwhite = 0 then edyrs = 14.22;
if educ99 = 43 
	and female = 1 and nonwhite = 0 then edyrs = 16.15;
if educ99 = 44 
	and female = 1 and nonwhite = 0 then edyrs = 17.64;
if educ99 = 45 
	and female = 1 and nonwhite = 0 then edyrs = 17;
if educ99 = 46 
	and female = 1 and nonwhite = 0 then edyrs = 17.76;

if educ99 >= 0 and educ99 <=31 
	and female = 1 and nonwhite = 1 then edyrs = 0;
if educ99 = 32 
	and female = 1 and nonwhite = 1 then edyrs = 2.9;
if educ99 >= 33 and educ99 <= 34 
	and female = 1 and nonwhite = 1 then edyrs = 7.03;
if educ99 = 35 
	and female = 1 and nonwhite = 1 then edyrs = 9.05;
if educ99 = 36 
	and female = 1 and nonwhite = 1 then edyrs = 9.99;
if educ99 = 37 
	and female = 1 and nonwhite = 1 then edyrs = 10.85;
if educ99 = 38 
	and female = 1 and nonwhite = 1 then edyrs = 11.64;
if educ99 = 39 
	and female = 1 and nonwhite = 1 then edyrs = 12;
if educ99 = 40
	and female = 1 and nonwhite = 1 then edyrs = 13.43;
if educ99 >= 41 and educ99 <= 42 
	and female = 1 and nonwhite = 1 then edyrs = 14.33;
if educ99 = 43 
	and female = 1 and nonwhite = 1 then edyrs = 16.04;
if educ99 = 44 
	and female = 1 and nonwhite = 1 then edyrs = 17.69;
if educ99 = 45 
	and female = 1 and nonwhite = 1 then edyrs = 17.4;
if educ99 = 46 
	and female = 1 and nonwhite = 1 then edyrs = 18;
run;
data a.cpsoct97;
set a.cpsoct97;
exper = max(age-edyrs-6, 0);
run;
data a.cpsoct97;
set a.cpsoct97;
exper2 = exper**2;
exper3 = exper**3;
exper4 = exper**4;
run;
